kdelibs-trinity (4:3.5.12-0ubuntu6+r1116280) lucid; urgency=low

  * Automated svn build

 -- root <kb9vqf@pearsoncomputing.net>  Sun, 18 Apr 2010 21:42:57 -0500

kdelibs-trinity (4:3.5.10-0ubuntu16) karmic; urgency=low

  * Microsoft docx mimetypes handled properly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 09 Dec 2009 21:46:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu14) karmic; urgency=low

  * Trinity rebranding
  * Bug report redirection to active bugtracker

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 08 Dec 2009 12:17:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu12) karmic; urgency=low

  * Repaired Konqueror JavaScript crash

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 25 Oct 2009 02:44:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu10) karmic; urgency=low

  * Added a script to generate device links /dev/cdrom and /dev/dvd if they do not already exist

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Oct 2009 20:17:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu9) karmic; urgency=low

  * Fixed make_driver_db_cups path

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Oct 2009 20:17:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu7) karmic; urgency=low

  * Fixed dependency on kdescripts

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 07 Aug 2009 14:14:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu6) karmic; urgency=low

  * Library paths fixed

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 06 Aug 2009 14:56:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid7) intrepid; urgency=low

  * Updated kate syntax editor files (closes Bug #91)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 05 Jun 2009 16:39:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid6) intrepid; urgency=low

  * Added proper KDE4 application labelling and starting to KDE3 menu

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 27 Mar 2009 00:13:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid5) intrepid; urgency=low

  * Added conflict and provide for kdelibs-data << 4:4.0  (Closes bug #61)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 20 Mar 2009 11:56:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid4) intrepid; urgency=low

  * Repaired kcmshell root environment default data directory

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 20 Mar 2009 11:56:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu3~intrepid1) intrepid; urgency=low

  * Repaired kcmshell root environment

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 09 Mar 2009 13:21:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu2~intrepid10) intrepid; urgency=low

  * Moved KDE3 to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 25 Feb 2009 15:12:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu2~intrepid5) intrepid; urgency=low

  * Fixed kde data directory default

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Jan 2009 16:55:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu2~intrepid4) intrepid; urgency=low

  * Added /usr/trinity/lib to ld.so.conf.d

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 17 Dec 2008 17:51:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu2~intrepid1) intrepid; urgency=low

  * Fixed build-depends

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 15 Dec 2008 10:37:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu1~intrepid9) intrepid; urgency=low

  * Linked several core KDE libraries to /usr/lib

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu1~intrepid7) intrepid; urgency=low

  * Changed kstartupconfig default HOME of /.kde to /.trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

kdelibs-trinity (4:3.5.10-0ubuntu1~intrepid6) intrepid; urgency=low

  * Add -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

kdelibs (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * Upstream bug fix release (LP: #261366)
    - Dropped kubuntu_98_kate_paste_cursor.diff applied upstream
    - Dropped kubuntu_9903_kinit_integer_overflow.diff applied upstream

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 Aug 2008 23:37:18 -0400

kdelibs (4:3.5.9-0ubuntu7.1) hardy-security; urgency=low

  * SECURITY UPDATE: integer overflow in start_kdeinit. The start_kdeinit
    processing of user-influenceable input is faulty.  A local user
    might be able to send unix signals to other processes, cause
    a denial of service or even possibly execute arbitrary code.
  * Add kubuntu_9903_kinit_integer_overflow.diff, edits
    kinit/start_kdeinit.c, patch from upstream KDE
  * References
    http://www.kde.org/info/security/advisory-20080426-2.txt
    CVE-2008-1671

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Apr 2008 16:01:13 +0100

kdelibs (4:3.5.9-0ubuntu7) hardy; urgency=low

  * Update debian/patches/kubuntu_55_printer_sharing.diff to run
    system-config-printer-kde to let users enable printer sharing
    rather than the old cups settings scripts.  Closes LP: #208381

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2008 00:03:28 +0100

kdelibs (4:3.5.9-0ubuntu6) hardy; urgency=low

  * Renamed kubuntu_99_system_config_printer_applet.diff to
    kubuntu_9901_system_config_printer_applet.diff
  * Added kubuntu_9902_kde4_kded_blacklist_modules.diff, don't autoload
    every kded modules in KDE4, replace kubuntu_9924_kde4_no_medianotifier.diff
    from kdebase

 -- Guillaume Martres <smarter@ubuntu.com>  Fri, 28 Mar 2008 19:49:46 +0100

kdelibs (4:3.5.9-0ubuntu5) hardy; urgency=low

  * Add kubuntu_99_system_config_printer_applet.diff, don't show
    printer applet if system-config-printer-applet-kde is installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Mar 2008 17:34:49 +0000

kdelibs (4:3.5.9-0ubuntu4) hardy; urgency=low

  * Fixed debian/rules, msgcat keeps the first headers only.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 11 Mar 2008 21:19:46 +0100

kdelibs (4:3.5.9-0ubuntu3) hardy; urgency=low

  [ Jonathan Riddell ]
  * Add kubuntu_98_kate_paste_cursor.diff from upstream
    Fixes http://bugs.kde.org/158069 "wrong cursor possition after Paste"

  [ Anthony Mercatante ]
  * Fixed debian/rules, running msgcat for kdelibs.pot in
    common-install-prehook-impl target in order to proceed
    earlier for Rosetta pot file export.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Mar 2008 16:20:44 +0100

kdelibs (4:3.5.9-0ubuntu2) hardy; urgency=low

  * Update kubuntu_93_speedbar_xdg_user_dirs.diff. Folder names in the
    speedbar are going first_char_upper and Documents now has a nice
    icon.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 11 Mar 2008 12:53:03 +0100

kdelibs (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:07 +0000

kdelibs (4:3.5.8-4ubuntu11) hardy; urgency=low

  * Add patch kubuntu_98_kate_newline.diff from Sergei Ivanov
    <svivanov@pdmi.ras.ru>, closes LP: #184675 "kate does not show
    newline inserted at the beginning"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Feb 2008 14:04:02 +0000

kdelibs (4:3.5.8-4ubuntu10) hardy; urgency=low

  * Updated kubuntu_96_flash_xembed.diff:
    - Sync with current svn status.
    - Reported to make flash works again this time
    - Closes LP: #184149

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 30 Jan 2008 17:38:47 +0100

kdelibs (4:3.5.8-4ubuntu9) hardy; urgency=low

  *   * Updated kubuntu_96_flash_xembed.diff:     - Sync with current
    svn status.     - Reported to make flash works again this time

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 30 Jan 2008 17:38:26 +0100

kdelibs (4:3.5.8-4ubuntu8) hardy; urgency=low

  * Fix path to hicolor icons in kubuntu_97_kde4_menu_applications.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jan 2008 16:38:45 +0000

kdelibs (4:3.5.8-4ubuntu7) hardy; urgency=low

  * Add kubuntu_97_kde4_menu_applications.diff modified from SuSE, run KDE 4
    apps without wrapper scripts
  * Move xdg-user-dirs from Depends to Recommends, Closes LP: #186365

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jan 2008 18:07:39 +0000

kdelibs (4:3.5.8-4ubuntu6) hardy; urgency=low

  * Added kubuntu_96_flash_xembed.diff:
    - Fix from KDE svn
    - Partially fixes flash 9 breaking in konqueror. May not
      always work...

 -- Anthony Mercatante <tonio@kubuntu.org>  Tue, 22 Jan 2008 17:24:14 +0100

kdelibs (4:3.5.8-4ubuntu5) hardy; urgency=low

  * Add depends on xdg-user-dirs, Closes LP: #175982

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Jan 2008 10:46:06 +0000

kdelibs (4:3.5.8-4ubuntu4) hardy; urgency=low

  [ Frode M. Døving ]
  * Add kubuntu_95_kurl-not-so-pretty.diff
    Closes: LP #162233 , KDE Bug: #150973
    kurl prettyUrl corrupts original url.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Dec 2007 17:29:27 +0000

kdelibs (4:3.5.8-4ubuntu3) hardy; urgency=low

  * Rebuild for libopenexr transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Dec 2007 09:50:59 +0000

kdelibs (4:3.5.8-4ubuntu2) hardy; urgency=low

  * Add kubuntu_95_fix_smb_scan.diff from Guillaume Martres, fixes SMB
    printer browsing.  Closes LP: #57666

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2007 18:11:39 +0000

kdelibs (4:3.5.8-4ubuntu1) hardy; urgency=low

  * Merge with Debian, adds 53_kdelibs_ltdl_ext.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Nov 2007 18:22:18 +0000

kdelibs (4:3.5.8.dfsg.1-4) unstable; urgency=low

  * Add a patch to allow to dlopen .so files and not only .la files.
    Now kamera, digikam and others doesn't need to depend on -dev packages.

 -- Sune Vuorela <debian@pusling.com>  Mon, 12 Nov 2007 13:00:41 +0100

kdelibs (4:3.5.8-3ubuntu2) hardy; urgency=low

  * Add kubuntu_93_speedbar_xdg_user_dirs.diff,
    kubuntu_93_xdg_dirs_document_path.diff, kubuntu_94_xdg_dirs_i18n.diff
    from Mandriva, adds support for XDG home dirs
  * Make kdelibs4-dev replace more recent kdelibs4c2a for overlapping files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 15:10:40 +0000

kdelibs (4:3.5.8-3ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - --with-distribution="Debian (`lsb_release --codename --short`) $(DEB_VERSION)"
   - binary-install/kdelibs-data installs aboutkde-kubuntu.png.uu and cr*-device-system.png.uu
   - none of libgamin-dev, libfam-dev
   - stop kdelibs4-dev depending on gamin/fam
   - don't install .svgz icons in kdelibs-data.install
   - rosetta support in rules common-install-prehook-impl:: and common-post-build-arch:: and include debian/kubuntu-desktop-i18n/
   - build-dep on: gettext-kde, kdesdk-scripts, lsb-release, base-files, sudo
   - cdbs build-dep 0.4.41ubuntu2
   - kdelibs4-dev depends on gettext-kde, kdesdk-scripts
   - copy debian/icons over
   - Make kdelibs4c2a depend on launchpad-integration
   - Remove 19_debianize_useragent.diff (changed to kubuntu_19_debianize_useragent.diff) s/Debian/Debian
   - remove kdelibs4c2a depends on menu-xdg
   - include kubuntu_01_kdepot.diff and kde.pot in debian/patches/common
   - use a local copy of kde.mk without the common-install-prehook-impl:: rule; edit debian-qt-kde.mk to include debian/cdbs/kde.mk
   - build with --with-sudo-kdesu-backend and build-dep on sudo and make kdelibs4c2a depend on sudo
   - kdelibs-data.install : Add nzb mimetype

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Nov 2007 18:18:05 +0000

kdelibs (4:3.5.8.dfsg.1-3) unstable; urgency=low

  * Bump shlibs. This is needed as there is a wrapper script introduced in
    kdelibs.
  * Pull patch from usptream to fix issue with zoom settings in kpdf, kview
    and many other applications.

 -- Sune Vuorela <debian@pusling.com>  Tue, 23 Oct 2007 00:17:32 +0200

kdelibs (4:3.5.8.dfsg.1-2) unstable; urgency=low

  * Patch 50_handle_timestamps to handle properly X timestamps  that are so 
    high that they cannot be represented properly as signed long, only unsigned.
  * Patch 51_fix_http_regression fixing regression in the KIO HTTP slave.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 20 Oct 2007 02:55:44 +0200

kdelibs (4:3.5.8.dfsg.1-1) unstable; urgency=low

  * New upstream release (Closes: #444383, #328479, #425741)
  * Resync patches:
    - Remove, applied upstream:
      01_branch_kate_redo_save_fix, 01_branch_wait_for_kdeinit_to_finish,
      48_cups13, 55_several-CVE-kdelibs-kdecore.
  * Update *.install files. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 13 Oct 2007 11:53:45 +0200

kdelibs (4:3.5.7.dfsg.1-7) unstable; urgency=low

  +++ Changes by Adeodato Simó:

  * Add appropriate Replaces headers for the files moved in -5 and -6. Remove
    unneeded Conflict in kdelibs4-dev against kdelibs4c2a introduced in -6.
    (Closes: #439515, #439779)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add patch 55_several-CVE-kdelibs-kdecore.diff to make Konqueror address
    bar more robust against addressbar spoofing.
    Related CVEs: CVE-2007-4224, CVE-2007-4225, CVE-2007-3820.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 30 Aug 2007 07:18:06 +0200

kdelibs (4:3.5.7.dfsg.1-6) unstable; urgency=low

  * Move back kstartupconfig to kdelibs4c2a. (Closes: #439411)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 25 Aug 2007 03:09:34 +0200

kdelibs (4:3.5.7.dfsg.1-5) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Add patch 48_cups13.diff to build against new CUPS 1.3.0.
    Patch by Tim Waugh. (Closes: #438558)
  * Add patch 48_hurd_support.diff to fix FTBFS on hurd-i386.
    Patch by Samuel Thibault. (Closes: #438952)
  
  +++ Changes by Fathi Boudra:

  * Move binaries to kdelibs4-dev: kconfig_compiler, ksvgtopng,
    kunittestmodrunner, makekdewidgets, preparetips.
    Allow kdelibs5-dev co-installable alongside kdelibs4c2a.

  * Suggests perl-suid instead Recommends. (Closes: #437414)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Aug 2007 07:24:52 +0200

kdelibs (4:3.5.7.dfsg.1-4) unstable; urgency=low

  * Versioned kdelibs-bin conflict and remove Provides: kdelibs-bin to
    allow kde4libs co-installable along with this kdelibs version.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 12 Aug 2007 00:50:16 +0200

kdelibs (4:3.5.7.dfsg.1-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Relax uploaders.mk (Closes: #434259) 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 23 Jul 2007 21:45:43 +0200

kdelibs (4:3.5.7.dfsg.1-2) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Reorder stuff in kde-applications.menu to get changing menu entries
    working. (Closes: #254948)
  * Add patch to fix issue with saving after redo in kate. (Closes: #431920)
  * Better error messages when opening a tty fails. Thanks to Robert Millan.
    (Closes: #334974)
  * Don't refer to help:/kcmshell in kcmshell manpage. (Closes: #408470)
  * Make sure kdeinit closes all files before terminating kde. (Closes: #425314)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 19 Jul 2007 22:52:17 +0200

kdelibs (4:3.5.8-0ubuntu4) hardy; urgency=low

  * Sync hardy with gutsy-proposed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 27 Oct 2007 16:23:56 +0100

kdelibs (4:3.5.8-0ubuntu3.1) gutsy-proposed; urgency=low

  * Add kubuntu_94_kselectaction.diff Closes: LP #155144
    Editable KSelectAction stopped working for custom values

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 21 Oct 2007 00:09:25 +0100

kdelibs (4:3.5.8-0ubuntu3) gutsy-proposed; urgency=low

  * Update kubuntu_93_https_fix.diff closes LP: #153500

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Oct 2007 21:40:16 +0100

kdelibs (4:3.5.8-0ubuntu2) gutsy; urgency=low

  * Add kubuntu_93_https_fix.diff closes LP: #152449
    HTTPS not working with Konqueror 3.5.8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Oct 2007 16:29:24 +0100

kdelibs (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 09:37:39 +0100

kdelibs (4:3.5.7-1ubuntu15) gutsy; urgency=low

  * SECURITY UPDATE: URL spoofing via trailing spaces
  * Add kubuntu_98_trailing_spaces_fix.diff: upstream fixes.
  * References
    CVE-2007-4225
    http://www.kde.org/info/security/advisory-20070914-1.txt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Oct 2007 23:07:11 +0100

kdelibs (4:3.5.7-1ubuntu14) gutsy; urgency=low

  * Added kubuntu_96_cups_1.3_compatibility.diff.
    Fixes FTBFS against cups 1.3

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 28 Aug 2007 13:14:47 +0200

kdelibs (4:3.5.7-1ubuntu13) gutsy; urgency=low

  * Droped kubuntu_93_kdelibs_kdesudo_support_fade_effect.diff, still
    causes building issues. We'll have to take care with the next
    version of the patch.
  * Droped kubuntu_57_nomediaioslave_fileio.diff and
    kubuntu_59_nomediaioslave_kfile_speedbar.diff:
    -  it's been decided to switch back to the standard media:/
       protocol, as /media create as many problems as it resolves...

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 27 Jul 2007 17:17:26 +0200

kdelibs (4:3.5.7-1ubuntu12) gutsy; urgency=low

  * Added kubuntu_93_kdelibs_kdesudo_support_fade_effect.diff. Support
    for kdesudo without causing troubles with other apps. Patch by
    Stefan Skotte <sfs@enhance-it.dk>

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 18 Jul 2007 23:34:52 +0200

kdelibs (4:3.5.7-1ubuntu11) gutsy; urgency=low

  * Droped kubuntu_93_kdelibs-kdesudo-support-wflags-and-kab-fix.diff
    temporary, as that causes troubles building kde applications using
    KDialogbase.
    Will had the patch back once fixed to be less sensitive

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 17 Jul 2007 12:10:22 +0100

kdelibs (4:3.5.7-1ubuntu10) gutsy; urgency=low

  * Removed kubuntu_61_hibernate_icons.diff.uu, added the icons uuencoded
    to debian/icons folder
    Unifies the way icons are added and avoids launching buildprep to
    build on i386

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 14 Jul 2007 22:47:06 +0200

kdelibs (4:3.5.7-1ubuntu9) gutsy; urgency=low

  [ Anthony Mercatante ]
  * Fixed kubuntu_91_execute_feedback.patch again, improving the speed
    of the effect to 3

  [ Sarah Hobbs ]
  * Added kubuntu_93_kdelibs-kdesudo-support-wflags-and-kab-fix.diff.
    Thankyou to Stefan Skotte for this patch
  * Removed kubuntu_28_fix_sudo.diff to fix KDM memory corruption 
    (LP: #47455, KDE bug #147454)

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 14 Jul 2007 01:51:38 +1000

kdelibs (4:3.5.7-1ubuntu8) gutsy; urgency=low

  * Fixed kubuntu_91_execute_feedback.diff, slows down the animation.

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 11 Jul 2007 09:17:21 +0200

kdelibs (4:3.5.7-1ubuntu7) gutsy; urgency=low

  * Added XS-Vcs-Bzr:
     https://code.launchpad.net/~kubuntu-members/kdelibs/debian, committed code
     to bzr
  * Added kubuntu_70_fileshareset-nfs-kernel-server.diff. Thanks to
    dystopianray for this patch (LP #107403)

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 04 Jul 2007 14:57:25 +1000

kdelibs (4:3.5.7-1ubuntu6) gutsy; urgency=low

  * Applied buildprep to regenerate makefiles, needed for suspend and
    hibernate icons to be installed. Fixes ftbfs on i386. The great
    question is now to understand why did that work on other
    architectures...

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 03 Jul 2007 18:04:56 +0200

kdelibs (4:3.5.7-1ubuntu5) gutsy; urgency=low

  * Fix patch kubuntu_03_applications_menu_entries_move.diff to not
    conflict with earlier patches.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 19 Jun 2007 21:46:56 +0100

kdelibs (4:3.5.7-1ubuntu4) gutsy; urgency=low

  * Update kubuntu_03_applications_menu_entries_move.diff to include
    ooo-draw in Office menu

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Jun 2007 16:28:26 +0100

kdelibs (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * Remove dependency on libgamin from kdelibs4-dev
  * Build-dep on libjasper-dev not libjasper-1.700-2-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 13:54:20 +0100

kdelibs (4:3.5.7-1ubuntu2) gutsy; urgency=low

  * Fix .install files for 3.5.7

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 May 2007 19:48:30 +0100

kdelibs (4:3.5.7-1ubuntu1) gutsy; urgency=low

  [ Sarah Hobbs ]
  * Merge with Debian for new upstream version, remaining changes in KUBUNTU-DEBIAN-CHANGES
  * Removed kubuntu_94_real_mimetype.diff. Applied upstream

  [ Jonathan Riddell ]
  * Updated kubuntu_52_xinerama.diff
  * Add kubuntu_69_applications_merged.diff to add applications-merged to apps menu, closes 
    https://bugs.launchpad.net/ubuntu/+source/wine/+bug/86824
  * Build-dep on arts 1.5.7

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 21 May 2007 09:10:10 -0500

kdelibs (4:3.5.7.dfsg.1-1) unstable; urgency=low

  * New upstream release.
    - Ability to have addressbook on remote kioslaves is disabled.
      It is quite broken. (Closes: #416366)

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Resync debian/patches:
    - Remove, applied upstream: 
       22_konq_scroll2top_before_new_page_fix.diff,
       25_khtml_non_existant_page_crash.diff,
       45_konqueror-CVE-2007-0537.diff,
       46_CVE-2007-1564-kdelibs-3.5.6.diff,
       47_kdelibs-kjs-utf8-parsing.diff.
  * Apply patch 45_gmail_spoof.diff by Allan Sandfeld, fixes gmail.com when browsing 
    the website spoofing konqueror as firefox browser.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 20 May 2007 15:44:32 +0100

kdelibs (4:3.5.6-4ubuntu2) gutsy; urgency=low

  * remove kdelibs4c2a depends on menu-xdg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 May 2007 12:21:06 +0100

kdelibs (4:3.5.6-4ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Apr 2007 18:08:33 +0100

kdelibs (4:3.5.6.r1.dfsg.1-4) unstable; urgency=low

  +++ Changes by Daniel Schepler:

  * Rebuild against new jasper packages, and update the Build-Depends
    and kdelibs4-dev dependencies accordingly.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 20 Apr 2007 13:58:36 -0400

kdelibs (4:3.5.6-0ubuntu14) feisty; urgency=low

  * SECURITY UPDATE: possible XSS via incorrect UTF8 truncation.
  * Add kubuntu_97_kjs_utf8_fixes.diff: upstream fixes.
  * References
    CVE-2007-0242

 -- Kees Cook <kees@ubuntu.com>  Tue, 10 Apr 2007 11:19:42 -0700

kdelibs (4:3.5.6-0ubuntu13) feisty; urgency=low

  * SECURITY UPDATE: FTP PASV scanning vulnerability.
  * Add kubuntu_96_ftp_pasv_scanning.diff
  * References
    ftp://ftp.kde.org/pub/kde/security_patches/CVE-2007-1564-kdelibs-3.5.6.diff
    CVE-2007-1564

 -- Kees Cook <kees@ubuntu.com>  Tue, 27 Mar 2007 16:24:53 -0700

kdelibs (4:3.5.6-0ubuntu12) feisty; urgency=low

  * Add kubuntu_95_ajax_encoding.diff, closes http://bugs.kde.org/130234

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Mar 2007 18:28:18 +0100

kdelibs (4:3.5.6-0ubuntu11) feisty; urgency=low

  * Build-dep on new qt 3.3.7

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Mar 2007 15:35:26 +0100

kdelibs (4:3.5.6-0ubuntu10) feisty; urgency=low

  * Add kubuntu_94_real_mimetype.diff, installs realaudio plugin mimetype

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Mar 2007 12:24:15 +0100

kdelibs (4:3.5.6-0ubuntu9) feisty; urgency=low

  * Improved kubuntu_65_nzb_mimetype.diff, fixes Makefiles
    for installation
  * Add 35_jump_to_top.diff, fix jumping to the top right before
    loading a new page. (LP: #84555)
    Patch from Robert Carr <racarr@beryl-project.org>

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 20 Mar 2007 04:02:32 +0100

kdelibs (4:3.5.6-0ubuntu8) feisty; urgency=low

  * Add kubuntu_93_kjs_iframe_crash.diff from SVN,
    fixes javascript crash when referencing iframe with FTP URL
    http://bindshell.net/advisories/konq355
    CVE-2007-1308

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  6 Mar 2007 17:42:42 +0000

kdelibs (4:3.5.6-0ubuntu7) feisty; urgency=low

  * Add kubuntu_92_kdeprint_filter.diff, closes Malone
    #51354. Patch from Marcus Trautwig

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 22 Feb 2007 17:27:47 +0100

kdelibs (4:3.5.6-0ubuntu6) feisty; urgency=low

  * Fixed kubuntu_56_langpacks_desktop_files.diff, don't avoid
    Catalogue loading for kdesktop

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 20 Feb 2007 17:14:32 +0100

kdelibs (4:3.5.6-0ubuntu5) feisty; urgency=low

  * Add kubuntu_91_execute_feedback.diff, replaces the zooming
    rectangle that is drawn if you activate an icon in konqueror
    for execution feedback. Patch from Johannes Schriewer
  * Update kubuntu_68_xdg_autostart.diff to read xdg config path
    from XDG_CONFIG_DIRS

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 13 Feb 2007 07:02:54 +0100

kdelibs (4:3.5.6-0ubuntu4) feisty; urgency=low

  * Add kubuntu_68_xdg_autostart.diff, kinit provides autostart
    via /etc/xdg/autostart

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 12 Feb 2007 21:42:32 +0100

kdelibs (4:3.5.6-0ubuntu3) feisty; urgency=low

  * SECURITY UPDATE: XSS attacks possible with comment in TITLE tag.
  * Add 'debian/patches/kubuntu_90_title_tokenizer.diff': fix parser,
    from upstream Subversion.
  * References
    CVE-2007-0537

 -- Kees Cook <kees@ubuntu.com>  Mon,  5 Feb 2007 19:32:41 -0800

kdelibs (4:3.5.6-0ubuntu2) feisty; urgency=low

  * Add kubuntu_67_kwallet_auto_save.diff
    Kwallet auto-saves any modification.
    Closes Malone #67521

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 26 Jan 2007 02:33:45 +0100

kdelibs (4:3.5.6-0ubuntu1) feisty; urgency=low

  * Remove 02_kate_kdeprint_fixes_branch.diff
  * Update 27_kdnssd_avahi.dif
  * Remove 33_cups12_kprinter_fixes.diff
  * Remove 35_cups_unify_ipp_uri_assembling.diff
  * Remove 36_kdeprintd_64bit_fix.diff
  * Remove 41_x_kde_getactionmenu_no_timeout.diff
  * Remove kubuntu_63_ark.diff
  * Remove kubuntu_65_kstyle_password_noasterisk
  * Add kubuntu_66_konsole_pty.diff from Michael Vogt to support
    attaching new ptys to konsole, needed for kubuntu-update-tool

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:46:17 +0000

kdelibs (4:3.5.5a.dfsg.1-3ubuntu9) feisty; urgency=low

  * Added kubuntu_65_kstyle_password_noasterisk.diff to change the asterisks
    in any password field to dots.  Thanks to Danimo for this patch.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sun, 10 Dec 2006 23:55:33 +1100

kdelibs (4:3.5.5a.dfsg.1-3ubuntu8) feisty; urgency=low

  * Fix syntax error in kubuntu_64_rosetta_translation.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  7 Dec 2006 11:03:01 +0000

kdelibs (4:3.5.5a.dfsg.1-3ubuntu7) feisty; urgency=low

  * Add kubuntu_64_rosetta_translation.diff to explain in
    application About box that translations are not always the same as
    KDE.  Requested at
    http://wiki.kde.org/tiki-index.php?page=KDERosettaCollaboration

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  5 Dec 2006 19:47:28 +0000

kdelibs (4:3.5.5a.dfsg.1-3ubuntu6) feisty; urgency=low

  * Add suspend and hibernate icons to kdelibs.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  5 Dec 2006 17:32:20 +0000

kdelibs (4:3.5.5a.dfsg.1-3ubuntu5) feisty; urgency=low

  * Build-dep on sudo and make kdelibs4c2a depend on sudo

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Nov 2006 10:59:43 +0000

kdelibs (4:3.5.5a.dfsg.1-3ubuntu4) feisty; urgency=low

  * Compile with --with-sudo-kdesu-backend

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Nov 2006 10:16:08 +0000

kdelibs (4:3.5.5a.dfsg.1-3ubuntu3) feisty; urgency=low

  * Add gettext-kde, kdesdk-scripts depends on kdelibs4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 07:16:18 +0000

kdelibs (4:3.5.5a.dfsg.1-3ubuntu2) feisty; urgency=low

  * Add missing kubuntu_01_kdepot.diff patch
  * Use local kde.mk due to different .pot generation rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Nov 2006 21:15:00 +0000

kdelibs (4:3.5.5a.dfsg.1-3ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Add --enable-gcc-hidden-visibility
  * Delta from Deban in KUBUNTU-DEBIAN-CHANGES

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Nov 2006 22:45:03 +0000

kdelibs (4:3.5.6.r1.dfsg.1-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Take the patches from branches/etch to fix two security issues
    46_CVE-2007-1564-kdelibs-3.5.6.diff and 47_kdelibs-kjs-utf8-parsing.diff
    Fixes CVE-2007-1564 and CVE-2007-0242. (Closes: #417394, #416318)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add 44_sync_kwallet_changes to make kwallet write changes to disk
    immediately, avoiding losing passwords if kwallet doesn't shutdown
    cleanly. Patch by Josh Metzler. (Closes: #407272)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 18 Apr 2007 14:45:54 +0100

kdelibs (4:3.5.6.r1.dfsg.1-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Fix the bug of KDE 3.5.6 - an annoying issue with konqueror scrolling to the top
    of the old page before loading a new one. Patch from upstream svn (22nd patch).
  * New patch (No. 25) from KDE bug #128564. Fixes khtml crash on loading
    some non existing pages when javascript is disabled (Closes: #408413).
    Probably fixes these KDE bugs too: #126812, #127137, #135117, #138449.

  +++ Changes by Sune Vuorela:

  * Bump shlibs.
  
  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add patch 45_konqueror-CVE-2007-0537.diff which fixes: Konqueror does not 
    properly parse HTML comments, which allows remote attackers to conduct 
    cross-site scripting (XSS) attacks. CVE-2007-0537.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 07 Feb 2007 20:16:33 +0100

kdelibs (4:3.5.6.r1.dfsg.1-1) experimental; urgency=low

  * New upstream tarball.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 18 Jan 2007 18:57:06 +0100

kdelibs (4:3.5.6.dfsg.1-1) experimental; urgency=low

  * New upstream release:
    * Fixes "Up arrow confused with PrintScrn on evdev keyboards". (Closes: #400887)
    * Fixes infinite recursion in khtml when rendering combination of blocks
      with overflow:auto and float:right styles. (Closes: #392547)
    * Fixes "Fatal IO error: client killed" problem in knode. (Closes: #356142)
    * Fixes non-standard rendering of floats (khtml). (Closes: #357017)
    * Fixes konqueror (khtml) crash when resolving ns in a stylesheet
      @imported from external one. (Closes: #401937)

  +++ Changes by Modestas Vainius:

  * Update kdelibs-data.install
  * Resync debian/patches:
    * Adapt to upstream changes - 27.
    * Remove, applied upstream - 02, 33, 35 (different patch), 36, 41, 42.
    * Fix offsets - 10, 16, 19, 21, 23.
  * Add libc6-dbg to kdelibs-dbg dependencies on amd64. It seems to be
    needed to get a useful backtrace from drkonqi on this arch.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 16 Jan 2007 15:54:12 +0100

kdelibs (4:3.5.5a.dfsg.1-5) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Add qt3-x11-free-dbg to kdelibs-dbg to try to get better backtraces.
  * Add multiple manpages to kdelibs4c2a. Thanks very much to Holger Hartmann.
    (Closes: #376099, #351610, #368180)
  * Add kdelibs4c2a.links to handle common manpages.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 21 Nov 2006 19:30:14 +0100

kdelibs (4:3.5.5a.dfsg.1-4) unstable; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * Add 42_xdgMenuPrefix_support patch: add XDG_MENU_PREFIX support. Thanks to
    Kevin Krammer. (Closes: #397057, #398734)
  * Add 43_hardcode_xdgMenuPrefix patch: hardcode xdgMenuPrefix to "kde-"
    string until proper upstream fix.
  * Remove 18_applications_menu_rename patch.
  * Urgency medium, as along with kdebase this upload fixes broken fresh
    installs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 16 Nov 2006 17:07:00 -0500

kdelibs (4:3.5.5a.dfsg.1-3) unstable; urgency=medium

  * Patch: 41_x_kde_getactionmenu_no_timeout.diff
    Do not time out when waiting for the reply for the X-KDE-GetActionMenu
    DCOP call. DCOP protocol is synchronouos by design and a reply for the
    timed out call (i.e. garbage) still arrives and might be falsely returned
    as a valid reply for the subsequent DCOP call on the same connection. The
    application currently known to be badly hurt by this is kdesvn and its
    konqueror service menu integration. Its X-KDE-GetActionMenu might take
    longer than current 100 milisecond timeout to complete. As a result
    then, a late reply will "pollute" a main DCOP connection of the client
    application (e.g. konqueror) causing further DCOP failures.
    (Closes: #348411)

  * Add 2 patches from upstream BTS http://bugs.kde.org/115891:
    * 33_cups12_kprinter_fixes.diff - fix various failures with CUPS 1.2
      when there are no printers.
    * 35_cups_unify_ipp_uri_assembling.diff - ensure proper IPP URI
      generation when CUPS is accessed via a UNIX socket. (Closes: #379216)
  * Add 36_kdeprintd_64bit_fix.diff - fix a bug on 64bit arches when kdeprint
    is not able to get a configuration file from CUPS server because kdeprintd
    fails to retreive the password from kpasswdserver.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu,  2 Nov 2006 17:54:30 -0500

kdelibs (4:3.5.5a.dfsg.1-2) unstable; urgency=high

  * Rebuild against qt-x11-free 3.3.7. There exists a strange KDE build system
    bug wherein some packages fail to build if the kdelibs against which they
    are building was itself built against a release of qt-x11-free different
    from the one currently present. Until we figure this out, let's just
    rebuild kdelibs against the new qt-x11-free, and thus make the problem
    go away for now. Urgency=high because this doesn't actually change
    anything.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 23 Oct 2006 20:02:45 -0400

kdelibs (4:3.5.5a.dfsg.1-1) unstable; urgency=medium

  * Remove non-free RFC documentation from the upstream tarball.
    (Closes: #393378)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 16 Oct 2006 17:49:07 -0400

kdelibs (4:3.5.5a-2) unstable; urgency=medium

  * Grab two more fixes from KDE_3_5_BRANCH.
    + Fix kate's indentation of C/C++ files.
    + Fix kdeprint's timeout when trying to find cupsd.
      (Closes: #392052, #392052)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 13 Oct 2006 17:04:21 -0400

kdelibs (4:3.5.5a-1) unstable; urgency=medium

  * Nes upstream tarball, fixes a grave bug in katepart (Closes: 391414).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat,  7 Oct 2006 16:58:29 +0200

kdelibs (4:3.5.5-1) unstable; urgency=low

  * New upstream release.
    + Fixes crashes in kate when creating doxygen comments.
      (Closes: #381578)

  +++ Changes by Christopher Martin:

  * Drop the kjanuswidget highlight-on-mouseover patch. Though a very nice
    touch, it caused crashes in applications such as adept.

  * Drop the CUPS 1.2 patches that no longer apply, as more or less working
    support was merged upstream. Salvage a few changes to prevent errors
    from popping up when the user has no printers defined. Please report
    obvious regressions.

  +++ Changes by Fathi Boudra:

  * Update copyright file to new KDE source location. (Closes: #385649)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue,  3 Oct 2006 18:28:15 -0400

kdelibs (4:3.5.4-3) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Fix the avahi patch so that kdelibs builds with or without --enable-final.
    (Disabling it on slow architectures had the unfortunate side effect of
    revealing a problem in the patch, which had unwittingly made
    --enable-final necessary to build the package.) kdelibs should now build
    on arm and m68k.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 31 Jul 2006 20:12:25 -0400

kdelibs (4:3.5.4-2) unstable; urgency=low

  * KDE_3_5_BRANCH update (up to r567679).

  +++ Changes by Christopher Martin:

  * Re-upload 3.5.4 with a new build hack that disables the use of
    --enable-final on slow architectures. This will hopefully allow kdelibs
    (and other KDE modules) to build on arm and m68k more easily. This should
    in turn ease the movement of recent KDE modules into Testing. Thanks to
    Adeodato Simo for the fix.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Jul 2006 15:22:37 -0400

kdelibs (4:3.5.4-1) unstable; urgency=low

  * new upstreal release:

    + Fixes null dereference in khtml, which could cause the browser to crash.
      This resolves CVE-2006-3672. Thankfully not every reproducible Konq crash
      bug gets a CVE number... (Closes: #378962)

  +++ Changes by Christopher Martin:

  * Add replaces for kaffeine (<< 0.8.1-3), since x-mplayer2.desktop is now in
    kdelibs-data.

  * Add a number of patches, courtesy of Debian, which attempt to get
    kdeprint working reasonably well with CUPS 1.2.x. These patches should
    resolve a number of user glitches, such as cryptic errors popping up when
    no printer has yet been added to CUPS.
    (Closes: #369140, #370403, #375477, #379216)

  * Apply a GNU/kFreeBSD build patch from Petr Salinger. (Closes: #377213)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 27 Jul 2006 10:14:08 +0200

kdelibs (4:3.5.5-0ubuntu4) feisty; urgency=low

  * Add kubuntu_63_ark.diff for better 7z management

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 24 Oct 2006 00:32:33 +0200

kdelibs (4:3.5.5-0ubuntu3) edgy; urgency=low

  * Update kubuntu_56_langpacks_desktop_files.diff to fix
    malone No 63325

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 22 Oct 2006 19:57:23 +0100

kdelibs (4:3.5.5-0ubuntu2) edgy; urgency=low

  * Revert kdeprint directory and patches to those from kde 3.5.4 packages
    closes malone No 65665

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 14 Oct 2006 01:54:33 +0000

kdelibs (4:3.5.5-0ubuntu1) edgy; urgency=low

  * New upstream release
  * Remove patches which no longer apply:
   - kubuntu_40_cups12_remove_async.diff
   - kubuntu_42_cups12_addmodify.diff
   - kubuntu_43_cups12_empty_printers.diff
   - kubuntu_48_cups12_cupsdconf.diff
   - kubuntu_54_mouse_scroll_speed.diff
   - cups 1.2 domain socket fixed upstream
  * Remove kubuntu_01_kdesu_sudo.diff, and kubuntu_50_kdesu_non_root.patch
    patches gone upstream, use new --with-sudo-kdesu-backend

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  3 Oct 2006 11:23:11 +0000

kdelibs (4:3.5.4-0ubuntu18) edgy; urgency=low

  * Add kubuntu_62_flash_installer.diff. Make it easier to
    install flash plugin, the same way Firefox does.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 26 Sep 2006 11:41:01 +0200

kdelibs (4:3.5.4-0ubuntu17) edgy; urgency=low

  * Remove dependency on menu-xdg from kdelibs4c2a

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Sep 2006 16:01:01 +0100

kdelibs (4:3.5.4-0ubuntu16) edgy; urgency=low

  * Rebuild on latest cdbs to change .pot files to UTF8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Sep 2006 13:08:59 +0100

kdelibs (4:3.5.4-0ubuntu15) edgy; urgency=low

  * Add kubuntu_61_hibernate_icons.diff.uu, add icons for suspend and hibernate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 19 Sep 2006 12:11:45 +0100

kdelibs (4:3.5.4-0ubuntu14) edgy; urgency=low

  * Add common-post-build-arch rule to debian/rules to merge 
    kde.pot into kdelibs.pot, closes malone #61107
  * Fix distribution string

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Sep 2006 18:50:35 +0100

kdelibs (4:3.5.4-0ubuntu13) edgy; urgency=low

  * Fix kubuntu_version in debian/rules
  * Use newer version of kubuntu_19_debianize_useragent.diff from Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Sep 2006 15:55:52 +0100

kdelibs (4:3.5.4-0ubuntu12) edgy; urgency=low

  * Add kubuntu_60_kresolver_asserts.diff, fixes http://bugs.kde.org/132851

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Sep 2006 15:18:52 +0100

kdelibs (4:3.5.4-0ubuntu11) edgy; urgency=low

  * Removed kubuntu_58_aboutpage_artwork.diff.uu since kubuntu
    colors are changing back to blue.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 12 Sep 2006 12:14:58 +0000

kdelibs (4:3.5.4-0ubuntu10) edgy; urgency=low

  * Update kubuntu_52_xinerama.diff with improved patch by Lubos Lunak
  * Add kubuntu_59_nomediaioslave_kfile_speedbar.diff from Simon Edwards

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  1 Sep 2006 17:20:58 +0000

kdelibs (4:3.5.4-0ubuntu9) edgy; urgency=low

  * Add missing .h file to kubuntu_56_langpacks_desktop_files.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 30 Aug 2006 21:11:59 +0000

kdelibs (4:3.5.4-0ubuntu8) edgy; urgency=low

  * Add missing #include to kubuntu_56_langpacks_desktop_files.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 30 Aug 2006 16:12:14 +0000

kdelibs (4:3.5.4-0ubuntu7) edgy; urgency=low

  * Add kubuntu_58_aboutpage_artwork.diff with artwork by
    Brandon Holtsclaw <imbrandon@kubuntu.org>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Aug 2006 16:11:49 +0000

kdelibs (4:3.5.4-0ubuntu6) edgy; urgency=low

  * Ensure kubuntu_57_nomediaioslave_fileio.diff patch is not applied
    before upload.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Aug 2006 13:35:21 +0000

kdelibs (4:3.5.4-0ubuntu5) edgy; urgency=low

  * Modified kubuntu_57_nomediaioslave_fileio.diff from 
    Simon Edwards, https://wiki.ubuntu.com/DebianKDEMedia with new updates

 -- Brandon Holtsclaw <imbrandon@kubuntu.org>  Tue, 22 Aug 2006 13:27:49 -0500

kdelibs (4:3.5.4-0ubuntu4) edgy; urgency=low

  * Add kubuntu_57_nomediaioslave_fileio.diff from 
    Simon Edwards, http://www.kdedevelopers.org/node/2231

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Aug 2006 13:27:49 +0000

kdelibs (4:3.5.4-0ubuntu3) edgy; urgency=low

  * Add kubuntu_56_langpacks_desktop_files.diff 
    and debian/kubuntu-desktop-i18n/
    for https://launchpad.net/distros/ubuntu/+spec/langpacks-desktopfiles-kde

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  3 Aug 2006 00:52:20 +0000

kdelibs (4:3.5.4-0ubuntu2) edgy; urgency=low

  * Remove debugging output from kubuntu_28_fix_sudo.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  1 Aug 2006 16:59:36 +0000

kdelibs (4:3.5.4-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jul 2006 10:12:19 +0000

kdelibs (4:3.5.3-1ubuntu9) edgy; urgency=low

  * Add kubuntu_55_printer_sharing.diff for
    https://launchpad.net/distros/ubuntu/+spec/kubuntu-printer-sharing

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jul 2006 14:45:17 +0100

kdelibs (4:3.5.3-1ubuntu8) edgy; urgency=low

  * Added kubuntu_53_tabs_hover_close_delaying.diff to remove delay on
    tabs close button
  * Added kubuntu_54_mouse_scroll_speed.diff to improve the scroll on 
    middle click

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 21 Jul 2006 22:15:34 +0200

kdelibs (4:3.5.3-1ubuntu7) edgy; urgency=low

  * SECURITY UPDATE: fix remote browser crash
  * KDE Konqueror allows remote attackers to cause a denial
    of service (application crash) by calling the replaceChild method on a
    DOM object, which triggers a null dereference, as demonstrated by calling
    document.replaceChild with a 0 (zero) argument.
  * Add kubuntu_00_CVE-2006-3672.diff
  * References:
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3672
    http://www.mandriva.com/security/advisories?name=MDKSA-2006:130

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jul 2006 13:23:01 +0100

kdelibs (4:3.5.3-1ubuntu6) edgy; urgency=low

  * Add kubuntu_52_xinerama.diff from 
    http://ktown.kde.org/~seli/xinerama/

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Jul 2006 17:38:55 +0100

kdelibs (4:3.5.3-1ubuntu5) edgy; urgency=low

  * Fix kubuntu_28_fix_sudo.diff for https://launchpad.net/bugs/44920
  * Make kdelibs4c2a depend on launchpad-integration

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Jul 2006 20:44:47 +0000

kdelibs (4:3.5.3-1ubuntu4) edgy; urgency=low

  * Add kubuntu_51_launchpad_integration.diff for 
    https://launchpad.net/distros/ubuntu/+spec/kubuntu-launchpad-integration
    and add launchpad.png icon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Jul 2006 16:40:37 +0000

kdelibs (4:3.5.3-1ubuntu3) edgy; urgency=low

  * Add gettext-kde, kdesdk-scripts as depends to kdelibs4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jun 2006 16:31:18 +0000

kdelibs (4:3.5.3-1ubuntu2) edgy; urgency=low

  * Rebuild on new Qt to fix binary compatibility breakage

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jun 2006 14:21:28 +0000

kdelibs (4:3.5.3-1ubuntu1) edgy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jun 2006 13:42:57 +0000

kdelibs (4:3.5.3-1) unstable; urgency=low

  * New upstream release:
    + Fixes crashes in konqueror. (Closes: #356876)

  +++ Changes by Pierre Habouzit:

  * Remove branch pull patches.

  +++ Changes by Christopher Martin:

  * Eliminate the kdelibs-bin package, merging it completely into kdelibs4c2a.

    There existed a (necessary) circular dependency between kdelibs-bin and
    kdelibs4c2a. kdelibs-bin is linked to kdelibs4c2a. Also, every KDE
    application needs the binaries in kdelibs-bin to function properly, yet
    virtually none depend on it. So to break the circular dependency by
    removing kdelibs4c2a's dependency on kdelibs-bin would require that all
    KDE packages be re-uploaded. And every KDE-using system would still need
    both kdelibs-bin and kdelibs4c2a.

    So we'll simply merge them. The general practice of separating libraries
    and programs makes no sense for kdelibs, given the close ties between the
    two. Multiple versions of the KDE libraries can't be installed
    side-by-side in any case.

    For the rare package which depends on kdelibs-bin, kdelibs4c2a will
    "Provides: kdelibs-bin".

    The removal of the circular dependency should make future transitions
    easier for users, avoiding difficulties such as those encountered during
    Woody to Sarge upgrades. (Closes: #310873)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 28 May 2006 16:57:06 +0200

kdelibs (4:3.5.2-2) unstable; urgency=low

  * KDE_3_5_BRANCH update (up to r526316). Contains important fixes for khtml.
    Pages which, since the last upload, didn't render at all, or only showed
    headers, should be fixed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue,  4 Apr 2006 09:03:26 -0400

kdelibs (4:3.5.2-1) unstable; urgency=low

  * New upstream release.

  * KDE_3_5_BRANCH update (up to r523640).

  +++ Changes by Christopher Martin:

  * Remove apparently obsolete python dependency from kdelibs-bin.
    (Closes: #356934)

  * Enable inotify support, and change the Recommends: gamin to a Suggests:
    fam, since a third-party tool is only advantageous for remote filesystems.

  * Add dcopstart and dcopfind manpages, from Dr. Johannes Ranke. Thanks!
    (Closes: #359097)

  +++ Changes by Pierre Habouzit:

  * Update debian/control for new kfreebsd-amd64 port.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 28 Mar 2006 18:02:00 -0500

kdelibs (4:3.5.1-4) unstable; urgency=low

  * KDE_3_5_BRANCH update (up to r517245).

  +++ Changes by Christopher Martin:

  * Add a Makefile.am patch that works around a bit of libtool oddness, to be
    investigated. This problem was causing the kdelibs build to fail. Thanks
    to Daniel Schepler for finding the fix. (Closes: #355099)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 10 Mar 2006 12:06:36 -0500

kdelibs (4:3.5.1-3) unstable; urgency=medium

  * KDE_3_5_BRANCH update (up to r515119).

  +++ Changes by Christopher Martin:

  * Add an as-yet-uncommitted patch from upstream that prevents the
    documentation license from being set as the GFDL, even if the author
    specified a different license. Bump urgency for RC fix. (Closes: #353814)

  * Add Replaces for krita and digikam, now that kdelibs includes
    x-raw.desktop.

  * Allow building against libgamin-dev as well as libfam-dev. kdelibs4-dev
    will also depend on libfam-dev | libgamin-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu,  2 Mar 2006 13:26:25 -0500

kdelibs (4:3.5.1-2) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * KDE_3_5_BRANCH update (up to r506549).

  * Add a patch to make the Qt Motif Plus style visible again.
    (Closes: #350863)

  * Update the avahi patch, fixing kpf crashes, and probably some kded crashes
    users reported as well. (Closes: #350266, #351598)

  * Remove obsolete netpbm dependency from kdelibs-bin.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon,  6 Feb 2006 19:42:06 -0500

kdelibs (4:3.5.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Josh Metzler:
  
  * Add kdelibs-data Replaces for libdjvulibre1 and libdjvulibre15 (<< 3.5.1-2)
    which also include x-djvu.desktop.
    (Closes: #347218, #347885, #348020, #348365, #348899)

  +++ Changes by Isaac Clerencia:

  * Apply patch 27_kdnssd_avahi.diff to replace dummy kdelibs kdnssd
    implementation with a working avahi-based one.

  * Add Build-Depends on libavahi-client-dev and libavahi-qt3-dev to get
    the patch referenced above working.

  +++ Changes by Christopher Martin:

  * Upload to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 Jan 2006 18:37:01 -0500

kdelibs (4:3.5.0-3) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * No longer build with gcc-3.4 on any architectures, since gcc-4.0 should
    be fixed. (Closes: #342984)

  * Adjust the Debianization of the Konqueror user agent string. The package
    version is not exposed by default. Rather, the level of information
    presented is tied to the level of general operating system the user has
    configured to be sent.
    (Addresses: http://lists.debian.org/debian-qt-kde/2005/12/msg00385.html)

  +++ Changes by Adeodato Simó:

  * Upload to unstable.

  * KDE_3_5_BRANCH update (up to r494869).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri,  6 Jan 2006 14:54:24 +0100

kdelibs (4:3.5.0-2) experimental; urgency=low

  * Upload to experimental.

  * KDE_3_5_BRANCH update (up to r488534). Bump kdelibs4c2a shlibs to account
    for changes.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Dec 2005 16:16:45 -0500

kdelibs (4:3.5.0-1) alioth; urgency=low

  * New upstream release.

  +++ Changes by Christopher Martin:

  * Remove an old conffile from KDE 3.3, ktexteditor_autobookmarkerrc, on
    upgrade. (Closes: #339491)

  * Bump DH_COMPAT to 5. No changes, except kdelibs4c2a-dbg is replaced by
    kdelibs-dbg, which contains debugging symbols for all kdelibs binaries.

  * Make kdelibs4c2a Recommend gamin, since it supports inotify. Continue
    to build against fam for now, however, to ensure that our users have
    choice.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 29 Nov 2005 17:19:36 -0500

kdelibs (4:3.4.3-2) unstable; urgency=low

  * KDE_3_4_BRANCH update (up to r483731).

  +++ Changes by Christopher Martin:

  * In the branch update is included a fix for kopete's compilation issues.
    (Closes: #337423, #338901)

  +++ Changes by Adeodato Simó:

  * libstdc++ allocator transition: rename kdelibs4c2 to kdelibs4c2a. Bumped
    build-dependency version on libarts1-dev and libopenexr-dev.
    (Closes: #339190)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 27 Nov 2005 23:47:21 +0100

kdelibs (4:3.5.2-0ubuntu18) dapper; urgency=low

  * Use msgcat not cat to join together two .pot files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 May 2006 20:18:48 +0300

kdelibs (4:3.5.2-0ubuntu17) dapper; urgency=low

  * Add kubuntu_50_kdesu_non_root.patch to fix running commands as non-root
    with kdesu with su instead of sudo (Malone #41184)

 -- Luka Renko <lure.net@gmail.net>  Wed, 10 May 2006 22:45:27 +0200

kdelibs (4:3.5.2-0ubuntu16) dapper; urgency=low

  * Add EXTRACTATTR for .pot generation in kde.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  9 May 2006 18:28:27 +0300

kdelibs (4:3.5.2-0ubuntu15) dapper; urgency=low

  * Remove highlighting of KJanusWidget sidebar in 
    17_kdelibs_rubberband.diff it caused a crash in Adept Installer
    Closes Malone #43472

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  8 May 2006 15:13:19 +0000

kdelibs (4:3.5.2-0ubuntu14) dapper; urgency=low

  * Edit kubuntu_03_applications_menu_entries_move.diff to 
    exclude OpenOffice Draw from Graphics (duplicate entry also in Office)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  4 May 2006 12:09:54 -0400

kdelibs (4:3.5.2-0ubuntu13) dapper; urgency=low

  * Add kubuntu_49_3DES_EDE_CBC.diff from http://bugs.kde.org/124684 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  2 May 2006 15:42:27 +0100

kdelibs (4:3.5.2-0ubuntu12) dapper; urgency=low

  * Alter kde.mk to include kde.pot strings in kdelibs.po 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 29 Apr 2006 11:48:19 +0100

kdelibs (4:3.5.2-0ubuntu11) dapper; urgency=low

  * Update kubuntu_19_debianize_useragent.diff for 6.04 -> 6.06 change 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Apr 2006 17:54:52 +0100

kdelibs (4:3.5.2-0ubuntu10) dapper; urgency=low

  * Patch from Michael Hofmann <mh21@piware.de>
    - Add kubuntu_47_cups12_list_ignore_warnings.diff quick fix for 
      Malone #41151
    - Add kubuntu_48_cups12_cupsdconf.diff fix cupsdconf as much as 
      possible

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Apr 2006 00:50:37 +0000

kdelibs (4:3.5.2-0ubuntu9) dapper; urgency=low

  * Add kubuntu_45_kcmoduleinfo.diff to fix module name test in
    KCModuleInfo::KCModuleInfo, thanks to Julien Richard-Foy
  * Add kubuntu_46_lisa_error.diff to display a custom error message in Lisa
    module tabs.

 -- Raphaël Pinson <raphink@ubuntu.com>  Mon, 24 Apr 2006 00:15:55 +0200

kdelibs (4:3.5.2-0ubuntu8) dapper; urgency=low

  * Fix kubuntu_42_cups12_addmodify.diff for CUPS 1.2 rc2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 23 Apr 2006 18:56:33 +0100

kdelibs (4:3.5.2-0ubuntu7) dapper; urgency=low

  * Edit debian/cdbs/kde.mk to mark .po files as UTF-8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Apr 2006 19:14:29 +0100

kdelibs (4:3.5.2-0ubuntu6) dapper; urgency=low

  * Add further patches for CUPS 1.2 support from
    Michael Hofmann <mh21@piware.de>
    - kubuntu_39_cups12_compile_fixes.diff
    - kubuntu_40_cups12_remove_async.diff
    - kubuntu_41_cups12_startstopfix.diff
    - kubuntu_42_cups12_addmodify.diff
    - kubuntu_43_empty_printers.diff
    - kubuntu_44_init_script.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Apr 2006 21:14:35 +0000

kdelibs (4:3.5.2-0ubuntu5) dapper; urgency=low

  * Add kubuntu_37_wm_branch_fixes.diff 
    Handle X timestamp wrapping correctly even on 64bit platforms.
  * Add kubuntu_38_no_generate_kdepot.diff, kde.pot wasn't being
    generated correctly breaking pkgstriptranslations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Apr 2006 16:19:11 +0000

kdelibs (4:3.5.2-0ubuntu4) dapper; urgency=low

  * Add kubuntu_36_ioslave_filedialogue.diff from 3.5 branch
    makes file dialogues support system:/ and media:/ ioslaves

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Apr 2006 15:25:15 +0000

kdelibs (4:3.5.2-0ubuntu3) dapper; urgency=low

  * Add kubuntu_35_kdeprint_branch.diff to fix compile error
    with CUPS 1.2, remove my random hack from kubuntu_34_cups12.diff 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Apr 2006 18:53:24 +0100

kdelibs (4:3.5.2-0ubuntu2) dapper; urgency=low

  * Add kubuntu_34_cups12.diff, start of a fix for CUPS 1.2 
    compatibility.  Patch by Michael Hofmann 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Apr 2006 14:35:20 +0100

kdelibs (4:3.5.2-0ubuntu1) dapper; urgency=low

  * Added kubuntu_30_fix_copy_and_rename.diff to fix copy/paste
    to same folder

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 31 Mar 2006 00:23:17 +0100

kdelibs (4:3.5.2-0ubuntu0) dapper; urgency=low

  * New upstream release
  * Remove kubuntu_30_kurllabel.diff, now upstream
  * Remove kubuntu_31_onlyshowin_autostart.diff, now upstream
  * Remove kubuntu_32_autostart_onlykde.diff, now upstream
  * Qt dependency now 3.3.6

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Mar 2006 11:08:32 +0000

kdelibs (4:3.5.1-0ubuntu11) dapper; urgency=low

  * Remove stray comma from configure.in.in in 
    kubuntu_27_kdnssd_avahi.diff that stopped it picking up 
    -lavahi-common

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Mar 2006 17:35:07 +0000

kdelibs (4:3.5.1-0ubuntu10) dapper; urgency=low

  * Fix include path in kubuntu_27_kdnssd_avahi.diff patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Mar 2006 15:34:38 +0000

kdelibs (4:3.5.1-0ubuntu9) dapper; urgency=low

  * Update 27_kdnssd_avahi.diff now called kubuntu_27_kdnssd_avahi.diff to 
    fix crash when avahi is not installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  9 Mar 2006 09:59:35 +0000

kdelibs (4:3.5.1-0ubuntu8) dapper; urgency=low

  * Add patch kubuntu_33_kabc_fix_save to fix loss of addressbook
    on exiting kontact (Closes: KDE Bug http://bugs.kde.org/118924). 

 -- Raphaël Pinson <raphink@ubuntu.com>  Mon,  6 Mar 2006 23:59:09 +0100

kdelibs (4:3.5.1-0ubuntu7) dapper; urgency=low

  * Drop build dependency on g++-3.4 [hppa].

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Feb 2006 00:18:27 +0000

kdelibs (4:3.5.1-0ubuntu6) dapper; urgency=low

  * Don't use GCC 3.4 on hppa

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Feb 2006 12:02:55 +0000

kdelibs (4:3.5.1-0ubuntu5) dapper; urgency=low

  * Add kubuntu_32_autostart_onlykde.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  9 Feb 2006 12:55:35 +0000

kdelibs (4:3.5.1-0ubuntu4) dapper; urgency=low

  * Add kubuntu_31_onlyshowin_autostart.diff to respect OnlyShowIn and
    NotShowIn for autostart files
  * Change kdelibs4c2a-dbg to kdelibs-dbg (sync with debian)
  * Change debian/compat to 5 for dapper to fix -dbg package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  7 Feb 2006 12:57:52 +0000

kdelibs (4:3.5.1-0ubuntu3) dapper; urgency=low

  * Add back kdelibs4c2.install for backports

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  7 Feb 2006 00:43:24 +0000

kdelibs (4:3.5.1-0ubuntu2) dapper; urgency=low

  * Add kubuntu_30_kurllabel.diff fix Konqueror status bar icons
  * Add configure option --with-lua-includes=/usr/include/lua50

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  1 Feb 2006 14:27:16 +0000

kdelibs (4:3.5.1-0ubuntu1) dapper; urgency=low

  * New upstream release
  * Sync 27_kdnssd_avahi.diff with Debian
  * Use control-dapper and control-breezy for to allow for backports

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jan 2006 15:04:54 +0000

kdelibs (4:3.5.0-0ubuntu11) dapper; urgency=low

  * Remove netpbm from kdelibs-bin depends,
    it is no longer used by kimgio

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Jan 2006 18:10:28 +0000

kdelibs (4:3.5.0-0ubuntu10) dapper; urgency=low

  * Add kubuntu_28_fix_sudo.diff to set home directory when 
    run as root via sudo, stops KDE apps settings wrong permissions on 
    files in users home directory
  * Add kubuntu_29_quiet_kbuildsycoca.diff stop kbuildsycoca complaining
    about unknown mimetypes
  * SECURITY UPDATE: kjs encodeuri/decodeuri heap overflow vulnerability
  * Add kubuntu_20_post_3.4.3_kdelibs_kjs.diff
  * An incorrect bounds check in kjs, the Javascript interpreter
    engine used by Konqueror and other parts of KDE, that allows
    a heap based buffer overflow when decoding invalid utf8 encoded
    URI sequences.
  * References:
     CVE-2006-0019
     http://www.kde.org/info/security/advisory-20060119-1.txt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2006 14:39:41 +0000

kdelibs (4:3.5.0-0ubuntu9) dapper; urgency=low

  * Make kdelibs4-dev depend on libavahi-client-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2006 17:25:14 +0000

kdelibs (4:3.5.0-0ubuntu8) dapper; urgency=low

  * Make kdelibs4-dev depend on libavahi-common-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2006 13:47:03 +0000

kdelibs (4:3.5.0-0ubuntu7) dapper; urgency=low

  * Make kdelibs4-dev depend on libavahi-qt3-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2006 11:50:47 +0000

kdelibs (4:3.5.0-0ubuntu6) dapper; urgency=low

  * Remove libkdnssd depend from kdelibs4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2006 09:09:29 +0000

kdelibs (4:3.5.0-0ubuntu5) dapper; urgency=low

  * Add kubuntu_27_kdnssd_avahi.diff for avahi support directly in
    kdelibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Jan 2006 21:14:20 +0000

kdelibs (4:3.5.0-0ubuntu4) dapper; urgency=low

  * Do not install kdnssd library files, they now come from
    libkdnssd1-avahi package.  Development files stay in kdelibs4-dev.
  * Add depends on libkdnssd1-avahi from kdelibs4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Jan 2006 01:25:52 +0000

kdelibs (4:3.5.0-0ubuntu3) dapper; urgency=low

  * Build-dep on latest qt
  * Un-apply patch before uploading

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2005 17:48:30 +0000

kdelibs (4:3.5.0-0ubuntu2) dapper; urgency=low

  * Add back updated kubuntu_06_kwallet_simplify_string.diff
    and kubuntu_03_applications_menu_entries_move.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2005 14:34:41 +0000

kdelibs (4:3.5.0-0ubuntu1) dapper; urgency=low

  * New upstream release
  * Make kdelibs4-dev depend on gamin not fam

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Nov 2005 19:50:37 +0000

kdelibs (4:3.5-rc2-0ubuntu6) dapper; urgency=low

  * Add gettext-kde, kdesdk-scripts, hspell, liblualib50-dev as
    depends to kdelibs4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 26 Nov 2005 00:30:51 +0000

kdelibs (4:3.5-rc2-0ubuntu5) dapper; urgency=low

  * Add libattr1-dev and libacl1-dev as depends to kdelibs4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 26 Nov 2005 00:20:02 +0000

kdelibs (4:3.5-rc2-0ubuntu4) dapper; urgency=low

  * Add debian/patches/kubuntu_06_fix_kdeprint_cups12_fix.diff, fix kdeprint compile error properly
  * Add common/kubuntu_01_kdepot.diff and common/kde.pot, fix .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Nov 2005 22:11:51 +0000

kdelibs (4:3.5-rc2-0ubuntu3) dapper; urgency=low

  * Fix broken kubuntu_06_fix_kdeprint_compile_hack.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Nov 2005 18:44:54 +0000

kdelibs (4:3.5-rc2-0ubuntu2) dapper; urgency=low

  * Add kubuntu_06_fix_kdeprint_compile_hack.diff, quick patch until I
    work out how to fix it properly
  * Fix kdelibs4-doc.install for correct path of files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Nov 2005 17:08:31 +0000

kdelibs (4:3.5-rc2-0ubuntu1) dapper; urgency=low

  * New upstream release
  * libstdc++ transition.  Rename kdelibs4c2 to kdelibs4c2a
    http://lists.ubuntu.com/archives/ubuntu-devel-announce/2005-November/000016.html
  * Tighten build-dep on arts, qt and openexr to pick up libstd++ transition
  * build-dep on libattr1-dev and libacl1-dev
  * Generate .pot files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Nov 2005 17:29:53 +0000

kdelibs (4:3.5-rc1-0ubuntu1) dapper; urgency=low

  * New upstream pre-release
  * Sync with Debian
  * Remove 16_default_fonts.diff, merged upstream
  * Remove 22_htmltokenizer_cpp_from_3_5.diff, already upstream
  * Remove 23_kfiledialog.diff, merged upstream
  * kdelibs-data replaces old kttsd

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Nov 2005 17:24:33 +0000

kdelibs (4:3.4.3-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Christopher Martin:

  * Tweak the rounded text selection patch to avoid it causing icon spacing
    issues in Konqueror. (Closes: #329404)

  * Add a patch to generate a PIC static libkdefakes, libkdefakes_pic.a.
    This will allow other libraries, such as mimelib, to use libkdefakes,
    without acquiring non-PIC code or a dependency upon the full kdelibs.
    (Closes: #326113)

  +++ Changes by Pierre Habouzit:

  * Add /usr/share/bug/$package/presubj for kdelibs{4c2,-bin,} kindly asking
    our users to restart their KDE if reporting a bug just after an upgrade.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 15 Oct 2005 13:52:25 -0400

kdelibs (4:3.4.2-4) unstable; urgency=low

  * KDE_3_4_BRANCH update (up to r458612).

  +++ Changes by Adeodato Simó:

  * Use khtml/html/htmltokenizer.cpp from 3.5 to fix bogus parsing of
    whitespace around tags found inside <pre>. This was making konqueror
    sometimes ignore blank lines in pre mode, which made this friendly
    maintainer of yours terribly unhappy when visiting bts.turmzimmer.net.

  +++ Changes by Christopher Martin:

  * Add a patch from the "Improving KDE" set that tweaks KDE's default GUI,
    changing some of the selection and highlight effects. Temporarily bump
    the Qt build-depends, to ensure we build against a similarly patched
    package.

  * Add a patch that elimiates the floppy ioslave from the default Open dialog
    toolbar, since the media ioslave is also present by default and handles
    floppy drives.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 16 Sep 2005 12:52:36 -0400

kdelibs (4:3.4.2-3) unstable; urgency=low

  +++ Changes by Adeodato Simó:

  * Build with g++-3.4 on arm, m68k and hppa; kdelibs triggers the same gcc
    4.0 ICE as arts does.

  * Apply patch by Aurelien Jarno and Robert Millan for GNU/kFreeBSD support
    (closes: #289599). Details for the interested:

    + don't build-depend on libasound2-dev on !linux.
    + use HAVE_SYS_PRCTL_H instead of Q_OS_LINUX in kinit.cpp.
    + define _tcgetattr and _tcsetattr based on the actual availability of
      functions and constants, instead of by operating system name.

    Haven't included a hunk that added an extra check on MNT_NOWAIT, because
    it's not still clear that is really needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 29 Aug 2005 20:33:32 +0200

kdelibs (4:3.4.2-2) unstable; urgency=low

  +++ Changes by Christopher Martin and Adeodato Simó:

  * Improve the fix for #311958 to make kdelibs binNMUable again. Instead of
    having kdelibs4c2 depend on kdelibs-data (= ${Source-Version}), split that
    in (>> 3.X.Y) plus (<< 3.X+1).

    Since this fix can't be introduced in Sarge's kdelibs4, introduce (sigh) a
    conflicts in kdelibs-data against kdelibs4, which fortunately needs not be
    versioned because there is no 3.4.2 version of kdelibs4. This will prevent
    breakage due to partial upgrades and thus closes: #323747, #323967,
    #324147.

  +++ Changes by Christopher Martin:

  * Drop the versioning from kdelibs4-dev's too strict dependency on
    libfam-dev. This should allow libgamin-dev to be installed along with
    kdelibs4-dev once the fam transition is reversed, or libgamin0 stops
    providing libfam0c102. (Closes: #324174)

  +++ Changes by Adeodato Simó:

  * Patched some Makefiles.am to not use LIBADD for convenience libraries,
    since libtool can't prune those; specify the dependencies each time the
    library is used. This allows to reduce a bit more the number of Depends of
    the kdelibs4 package; in total, this version drops 11 dependencies with
    respect to the 3.3.x series.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 24 Aug 2005 16:05:07 +0200

kdelibs (4:3.4.2-1) unstable; urgency=low

  * New upstream release. Includes a forward declaration of KXMLGUIClient in
    kactioncollection.h, which makes gcc-4.0 happy and thus closes: #317543,
    #318017, #319154, #323093 (arson, smb4k, kile and amarok FTBFS).

  * KDE_3_4_BRANCH update.

  +++ Changes by Christopher Martin:
  
  * GCC 4.0 transition: kdelibs4 becomes kdelibs4c2. Tighten build depends on
    libarts1-dev, libqt3-mt-dev, libfam-dev, libtiff4-dev, and libopenexr-dev
    to ensure that we build against transitioned packages.

    Since kdelibs4 now depends on libopenexr2c2, this upload closes: #320450.
  
  * Make kdelibs4 always depend on the identical version of kdelibs-data.
    (Closes: #311958)

  +++ Changes by Adeodato Simó:

  * Remove obsolete conflicts/replaces relationships against packages/versions
    not present in Sarge.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 16 Aug 2005 11:16:00 -0400
 
kdelibs (4:3.4.1-1) experimental; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 31 May 2005 15:43:52 -0400

kdelibs (4:3.4.92-0ubuntu2) breezy; urgency=low

  * New upstream beta release
  * Build with nostrip

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 15 Oct 2005 12:19:22 +0000

kdelibs (4:3.4.91-0ubuntu1) breezy; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Sep 2005 11:21:10 +0000

kdelibs (4:3.4.2-0ubuntu4) breezy; urgency=low

  * Add replaces on old knetworkconf for kdelibs-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  3 Aug 2005 12:44:18 +0000

kdelibs (4:3.4.2-0ubuntu3) breezy; urgency=low

  * Rebuild for new Qt buildkey and tighten build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Jul 2005 13:37:13 +0000

kdelibs (4:3.4.2-0ubuntu2) breezy; urgency=low

  * Add build-dep on autoconf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Jul 2005 16:37:24 +0000

kdelibs (4:3.4.2-0ubuntu1) breezy; urgency=low

  * New upstream release
  * Build using unsermake

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Jul 2005 15:49:02 +0000

kdelibs (4:3.4.1-0ubuntu11) breezy; urgency=low

  * Rebuild for removed libXcursor.la and tighten 
    dependency on Qt and arts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 24 Jul 2005 20:47:00 +0000

kdelibs (4:3.4.1-0ubuntu10) breezy; urgency=low

  * Add depend on iceauth for kdelibs4c2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Jul 2005 20:47:45 +0000

kdelibs (4:3.4.1-0ubuntu9) breezy; urgency=low

  * Remove xbase-clients depenency from kdelibs.  
    iceauth will appear again soon in a new package.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Jul 2005 20:25:29 +0000

kdelibs (4:3.4.1-0ubuntu8) breezy; urgency=low

  * Add kubuntu_06_kwallet_simplify_string.diff to simplify KWallet question
  * Add kubuntu_07_rubberband.diff for pretty file manager selection
  * Add versioned build-dep on libxrender-dev and tighten version 
    build-dep of Qt to ensure libXrender.la changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Jul 2005 19:20:50 +0000

kdelibs (4:3.4.1-0ubuntu7) breezy; urgency=low

  * Rebuild for libXrender.la changes
  * Make versioned build-dep on arts stricter

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 17 Jul 2005 09:23:49 +0000

kdelibs (4:3.4.1-0ubuntu6) breezy; urgency=low

  * Rebuild for new X dependencies.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 16 Jul 2005 22:01:57 +0000

kdelibs (4:3.4.1-0ubuntu5) breezy; urgency=low

  * Add kubuntu_04_add_langpack_path.diff to use path for langpacks
  * Add Debian system icons in debian/system-icons
  * Add kubuntu_05_icon_scale.diff fix icon scaling

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  4 Jul 2005 12:39:22 +0000

kdelibs (4:3.4.1-0ubuntu4) breezy; urgency=low

  * Add build depend on libxi-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Jun 2005 21:28:59 +0000

kdelibs (4:3.4.1-0ubuntu3) breezy; urgency=low

  * Recompile with new Qt

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 21 Jun 2005 17:35:37 +0000

kdelibs (4:3.4.1-0ubuntu2) breezy; urgency=low

  * Build-dep on a good libqt3-mt-dev (xorg dependencies)

 -- LaMont Jones <lamont@ubuntu.com>  Tue, 24 May 2005 21:18:18 -0600

kdelibs (4:3.4.1-0ubuntu1) breezy; urgency=low

  * New upstream release
  * Sync with Debian

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 23 May 2005 18:09:36 +0100

kdelibs (4:3.4.0-0pre5) alioth; urgency=low

  * New upstream release.

  * KDE_3_4_BRANCH update.

  * Bugs reported in the Debian BTS fixed by this release:

    - no longer FTBFS on amd64/gcc-4.0. (Closes: #288900)

  * Converted packaging to CDBS (initial version by Daniel Schepler, further
    changes by Christopher Martin and Adeodato Simó).

  +++ Changes by Adeodato Simó:

  * Added new package kdelibs4-dbg, with separate debugging symbols. Added
    Build-Dependency on binutils (>= 2.14.90.0.7) as per the dh_strip man
    page. (Closes: #257588).

  * [cdbs/kde.mk] Use escaped variables in the definitions of kde_htmldir and
    the like instead of absolute paths, so that /usr/bin/kde-config doesn't
    output them expanded even when --expandvars is not used. (Closes: #287822)

  * Fixed the ability of the build system to find kde.pot, even when it is not
    located at KDEDIR/include/kde.pot. This allows the use of targets such as
    "package-messages" without specifying includedir. (Closes: #283858)

  * Now that graphviz is in main, add it to Build-Depends-Indep together with
    gsfonts-x11 to generate diagrams in the API documentation.

  +++ Changes by Christopher Martin

  * Adjust the placement of the merging of the Debian menu in
    applications.menu. Oddly enough, this seems to work around some issues
    with io slaves and remote file access.

  * Rename applications.menu to kde-applications.menu, avoiding a conflict
    with the new GNOME xdg menu files. (Closes: #307098)

  * Debianize the Konqueror browser's user-agent string. (Closes: #268659)

  * Tighten libart-2.0-dev build dependency. (Closes: #285882)

  * Clean out useless manpages. New or better ones welcome...
    (Closes: #292084)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 14 May 2005 13:00:44 -0400

kdelibs (4:3.3.2-7) unstable; urgency=high

  +++ Changes by Adeodato Simó:

  * Do not depend on the disappeared libjack0.80.0-0. Achieve so by updating
    the libtool used to build to the one currently in sid, so that it prunes
    unnecessary dependencies.

  * The above libtool update removes the kdelibs4 dependency on libmad0, so
    closes: #311710 ("does not have a versioned dependency on libmad0").

  * Do not unconditionally remove /etc/kderc and other files in /etc on
    upgrades. Whatever those bits were there for, can be removed now that
    Sarge is released and shipped with them... (Closes: #316255) Deleted the
    now empty preinst scripts for kdelibs4 and kdelibs-bin.

  * Acknowledge NMU by Frank Lichtenheld, thanks! (Closes: #309955)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 02 Jul 2005 00:14:21 +0200

kdelibs (4:3.4.0-0ubuntu6) breezy; urgency=low

  * removed rm -f /etc/kderc from postinstall
  * removed old kdelibs4.postinstall file 
  * changed in rules distribution part for breezy 

 -- Andreas Mueller <amu@ubuntu.com>  Fri, 20 May 2005 11:09:57 +0000

kdelibs (4:3.4.0-0ubuntu5) breezy; urgency=low

  * CXX transition: Rename kdelibs4 to kdelibs4c2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 May 2005 13:49:24 +0000

kdelibs (4:3.4.0-0ubuntu4) breezy; urgency=low

  * Breezy upload

 -- Jonathan Riddell <jr@jriddell.org>  Mon,  9 May 2005 09:52:08 +0100

kdelibs (4:3.4.0-0ubuntu3.1) hoary-security; urgency=low

  * Add kubuntu_04_kimgio_security.diff
  * SECURITY UPDATE: kimgio input validation errors
  * kimgio contains a PCX image file format reader that does
    not properly perform input validation. A source code audit
    performed by the KDE security team discovered several
    vulnerabilities in the PCX and other image file format
    readers, some of them exploitable to execute arbitrary
    code.
  * References:
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1046
    http://bugs.kde.org/102328
    http://www.kde.org/info/security/advisory-20050421-1.txt

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 21 Apr 2005 04:46:47 +0000

kdelibs (4:3.4.0-0ubuntu3) hoary; urgency=low

  * Move TextEditors from Utilities More to Utilities

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 24 Mar 2005 04:32:44 +0000

kdelibs (4:3.4.0-0ubuntu2) hoary; urgency=low

  * Move kubuntu_03_applications_menu_editors_move.diff to
    kubuntu_03_applications_menu_entries_move.diff which also moves
    Settings to Utilities.

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 17 Mar 2005 01:19:23 +0000

kdelibs (4:3.4.0-0ubuntu1) hoary; urgency=low

  * Add aboutkde-kubuntu.png.uu konqi image for about kde dialogue
  * Add kubuntu_03_applications_menu_editors_move.diff moving Editors menu entries to Utilities

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 16 Mar 2005 01:04:26 +0000

kdelibs (4:3.4.0-0pre1ubuntu2) hoary; urgency=low

  * Add conflicts on old konq-plugins, kdeartwork-style and ksvg.

 -- Jonathan Riddell <jr@jriddell.org>  Tue,  8 Mar 2005 22:37:52 +0000

kdelibs (4:3.4.0-0pre1ubuntu1) hoary; urgency=low

  * Sync with Debian

 -- Jonathan Riddell <jr@jriddell.org>  Sun,  6 Mar 2005 00:57:03 +0000

kdelibs (4:3.4.0~rc1-1ubuntu0.2) hoary; urgency=low

  * Add sudo for kdesu patch kubuntu_01_kdesu_sudo.diff
  * Add applications.menu move patch to stop collisions with Gnome kubuntu_02_applications_menu_rename.diff

 -- Jonathan Riddell <jr@jriddell.org>  Sat,  5 Mar 2005 21:00:03 +0000

kdelibs (4:3.4.0~rc1-1ubuntu0.1) hoary; urgency=low

  * New upstram release RC1

 -- Andreas Mueller <amu@ubuntu.com>  Tue, 1 Mar 2005 19:12:23 +0000

kdelibs (4:3.3.2-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Export modXModeSwitch. Patch by Mattia Dongili (Closes: #309955)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 21 May 2005 22:02:29 +0200

kdelibs (4:3.3.2-6) unstable; urgency=high

  +++ Changes by Christopher Martin:

  * Includes a corrected fix for CAN-2005-1046. The previous upstream patch
    broke certain filetypes. This resolves the issue.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat,  7 May 2005 10:30:05 -0400

kdelibs (4:3.3.2-5) unstable; urgency=medium

  +++ Changes by Christopher Martin:

  * KDE_3_3_BRANCH update. Includes fixes for CAN-2005-1046, a series of
    vulnerabilities involving improper input validation for image files,
    potentially resulting in arbitrary code execution. (Closes: #304465)

  * Add GFDL to debian/copyright.

  * Add another kaccel patch that fixes non-English keyboards on
    SunRay terminals. Thanks to Nikita Youshchenko. (Closes: #301971)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Apr 2005 11:21:11 -0400

kdelibs (4:3.3.2-4) unstable; urgency=low

  * Improve the fix for CAN-2005-0365 ("insecure temporary file
    creation") with a patch provided by Javier Fernández-Sanguino Peña:
    now mktemp is used, previously the temporary file was still created
    in an unsafe way, although in a safe directory. (Closes: #298533)

  * KDE_3_3_BRANCH update, with several improvements for the IDN situation:
    - matches SSL certificates based on the punycode version of the hostname.
    - some TLDs are whitelisted and IDN domains will be resolved for them.
      These are, by default: at, ch, cn, de, dk, kr, jp, li, no, se, tw.
      The KDE_USE_IDN environment variable can be set to a colon-separated
      list of TLDs to override this default, so if empty IDN will be disabled.

  * Backport small patch from KDE 3.4 to prevent kate from printing lots of
    assertion failures to stderr when editing a long line. (Closes: #298308)

  * Backport small patch from KDE 3.4 to make KSpell search for dictionaries
    in /usr/lib/aspell-0.6, which is now used by Aspell. (Closes: #296240)

  * As OpenOffice.org 1.1.3 will enter testing together with this version of
    kdelibs, re-add to kdelibs-data the template .desktop files removed in
    3.3.2-1. Replace openoffice.org-mimelnk (<< 1.1.3), but don't conflict.

  * This upload will get built with a non-broken gcc version in mipsel,
    and thus closes: #298615.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 12 Mar 2005 18:02:54 +0100

kdelibs (4:3.3.2-3) unstable; urgency=high

  * Urgency high as it closes a security RC bug.

  +++ Changes by Isaac Clerencia:

  * Fix syntax error in dcopidlng, closes: #297095 (was causing kdepim an
    others to FTBFS).
 
  * Apply patch from KDE 3.4 to fix CAN-2005-0237 (spoofing using IDN),
    closes: #294271, #294204. IDN is now disabled in all KDE apps unless
    the environment variable KDE_USE_IDN is set.
 
  * Christopher Cheney has kindly relicensed man pages written by him from
    GDFL to GPL, update the license statement accordingly. Closes: #292085.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 28 Feb 2005 14:05:30 +0100

kdelibs (4:3.3.2-2) unstable; urgency=high

  +++ Changes by Adeodato Simó:

  * Include patch to fix CAN-2005-0365, "insecure temporary file creation in
    kdelibs 3.3.2". dcopidlng no longer creates its temporary files in /tmp.
    (Closes: #294832, #294896) Urgency set to high because of this and other
    RC bug fixes below.

  * KDE_3_3_BRANCH update.

  * Include patch from CVS to fix XMLHttpRequest POST being broken in KHTML
    due to a blank line in headers. (Closes: #292765)

  +++ Changes by Christopher Martin:

  * Add patch from upstream that solves the problem wherein programs whose
    .desktop entry contained their full path, rather than just the binary
    to be executed (mainly games), confused kdeinit.
    (Closes: #270592, #290323)

  * debian/control: Add necessary kdelibs-data Replaces for old
    openoffice.org packages. (Closes: #292569)

  * Add better manpage for lnusertemp. Thanks to Javier Fernández-Sanguino
    Peña. (Closes: #292081)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 13 Feb 2005 04:58:29 +0100

kdelibs (4:3.3.2-1) unstable; urgency=medium

  +++ Changes by Adeodato Simó:

  * Uploading to unstable. This new upstream version fixes CAN-2004-1145,
    "Konqueror Java Vulnerability", and thus closes: #286521. Urgency set
    to medium for this reason (the package has been in experimental for some
    time, and has been checked to work properly with the rest of 3.3.1
    packages).

  * debian/control:
    - make kdelibs-data replace kjscmd (<< 4:3.3.0), which was missed in the
      3.3.1-1 upload and completely forgotten since then. (Closes: #288653)

  * debian/kdelibs-data.install: the files added in the previous upload were
    checked not to exist in oo.o-mimelnk in sid, but sadly they exist in the
    version in sarge. Reverted them for now, will be re-added when OpenOffice
    1.1.3 enters sarge (with the proper Conflicts: entry). (Closes: #287097)

    List of files:
      - usr/share/mimelnk/application/vnd.sun.xml.calc.template.desktop
      - usr/share/mimelnk/application/vnd.sun.xml.draw.template.desktop
      - usr/share/mimelnk/application/vnd.sun.xml.impress.template.desktop
      - usr/share/mimelnk/application/vnd.sun.xml.writer.template.desktop

  +++ Changes by Christopher Martin:

  * KDE_3_3_BRANCH update. Pulls in the fix for CAN-2004-1165, the FTP command
    injection bug. (Closes: #285128, #287201)

  * Add patch to change the group set by KDE CUPS configurator to Debian's
    default, lpadmin, rather than sys. (Closes: #263430)

  * Add kaccel hack that works around a Konqueror crash with Russian keyboards.
    (Closes: #287566)

  * Change debian/copyright file to refer to licenses, instead of copyright,
    when discussing KDE's licenses. (Closes: #290191, #290190)

  * Change dependency on perl-suid to perl, and add Recommends: perl-suid.
    The lack of perl-suid should only cause problems for some users using
    NFS or SMB shares. (Closes: #289164)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 16 Jan 2005 20:48:01 +0100

kdelibs (4:3.3.2-0pre1) experimental; urgency=low

  * New upstream release.

  * KDE_3_3_BRANCH update. Includes the kdelibs part of the fix
    for CAN-2004-1158. [CM]

  * Removed patches:
    - post-3.3.1-kdelibs-khtml.diff and post-3.3.1-kdelibs-kio.diff since
      these fixes are in KDE_3_3_BRANCH. [CM]

  * New patches:
    - 06_automake-1.9.diff
    - 12_cups_docroot.diff: changed the CUPS document path in kdeprint to
      reflect the Debian default. [CM]

  * Updated dcop.1 manpage with patch by Helge Kreutzman. (Closes: #250631)

  * New entries in debian/kdelibs-data.install:
    - usr/share/mimelnk/application/java.desktop
    - usr/share/mimelnk/application/xml.desktop
    - usr/share/mimelnk/application/vnd.sun.xml.calc.template.desktop
    - usr/share/mimelnk/application/vnd.sun.xml.draw.template.desktop
    - usr/share/mimelnk/application/vnd.sun.xml.impress.template.desktop
    - usr/share/mimelnk/application/vnd.sun.xml.writer.template.desktop
    - usr/share/apps/ksgmltools2/customization/cs/entities/underLGPL.docbook

  * New entries in debian/kdelibs4-dev.install:
    - usr/include/kiobuffer.h
    - usr/include/kwallettypes.h

  * debian/control:
    - removed unneeded build-dependency on automake1.9. [CM]

  * debian/rules:
    - call dh_makeshlibs with DH_COMPAT set to 3, so that -V works again for
      us (works around debhelper bug #280830). (Closes: #280826)

 -- Adeodato Simó <asp16@alu.ua.es>  Fri, 17 Dec 2004 01:30:13 +0100

kdelibs (4:3.3.1-4) unstable; urgency=high

  * The "from kde maintainers to m68k porters with love" release.
  * Move the Conflicts with (<< 3.3.0) packages from kdelibs (dummy package)
    to kdelibs4 (real package). They were put in the wrong package due to a
    wrong assumption on how the testing scripts work.

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 19 Dec 2004 16:45:39 +0000

kdelibs (4:3.3.1-3) unstable; urgency=high

  * Fix kdeaccessability Conflict. Closes: #285391
  * Added patch to fix half of Konqueror Window Injection Vulnerability 
    CAN-2004-1158. kdebase upload will fix the rest.

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 13 Dec 2004 18:53:21 +0000

kdelibs (4:3.3.1-2) unstable; urgency=medium

  * New upload to aid with transition of KDE 3.3 to sarge and to fix security
    hole. Urgency set to medium because of these reasons.

  * Add versioned conflicts (<< 4:3.3.0) for all KDE official modules in
    kdelibs. This will permit the testing transition to happen all at once.
  
  * Fixed kdewebdev conflict (was << 4:3.3.0, while kdewebdev in sid
    is 1:3.3.0 -Riku

  * Include patch to fix CAN-2004-1171 ("plain text password exposure").
    Closes half of #285126. Notes about the patches:

    - post-3.3.1-kdelibs-khtml.diff: dropped hunks #2 and #3 of patch to
      khtml_part.cpp, since they were whitespace adjustments and were causing
      failures to apply.

    - post-3.3.1-kdelibs-kio.diff: the patch as given in the KDE Advisory
      can't be used, since kdelibs 3.3.1-1 includes a KDE_3_3_BRANCH pull that
      already modifies kio/kio/job.cpp and makes the supplied patch unusable.

      Regenerated patch from CVS: Diff for /kdelibs/kio/kio/job.cpp between
      version 1.397.2.7 and 1.397.2.8.

 -- Adeodato Simó <asp16@alu.ua.es>  Sat, 11 Dec 2004 00:23:09 +0100

kdelibs (4:3.3.1-1) unstable; urgency=low

  * New upstream release.
  * KDE_3_3_BRANCH update.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 31 Oct 2004 03:30:00 -0600

kdelibs (4:3.3.0-2) unstable; urgency=low

  * KDE_3_3_BRANCH update.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 23 Sep 2004 17:00:00 -0500

kdelibs (4:3.3.0-1.1) unstable; urgency=low

  * The "Please stop spamming the OpenEXR maintainer (me)" Debian release.
    - Non Maintainer Upload.
    - Force rebuild against libopenexr2.
      (closes: #266504)

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Fri, 27 Aug 2004 14:22:03 +1000

kdelibs (4:3.3.0-1) unstable; urgency=high

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 13 Aug 2004 18:00:00 -0500

kdelibs (4:3.2.3-4) unstable; urgency=high

  * KDE_3_2_BRANCH Update.
  * Apply patch for mktemp security issue. (Closes: #261386)
  * Build-Depends: libtiff4-dev. (Closes: #262589, #262832)

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  2 Aug 2004 22:00:00 -0500

kdelibs (4:3.2.3-3) unstable; urgency=low

  * KDE_3_2_BRANCH Update.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 22 Jul 2004 03:00:00 -0500

kdelibs (4:3.2.3-2) unstable; urgency=low

  * KDE_3_2_BRANCH Update.

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 12 Jun 2004 14:30:00 -0500

kdelibs (4:3.2.3-1) unstable; urgency=high

  * New upstream release.
  * kdelibs-bin Depends: menu-xdg. (Closes: #248610)

 -- Christopher L Cheney <ccheney@debian.org>  Thu,  3 Jun 2004 19:00:00 -0500

kdelibs (4:3.2.2-2) unstable; urgency=high

  * kdelibs-data Depends: hicolor-icon-theme. (Closes: #238839)
  * Remove preinst bashism. (Closes: #242946, #242961, #243475)
  * Do not remove /etc/trinity/system.kdeglobals. (Closes: #245149)
  * kdelibs-bin Recommends: menu-xdg.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 21 Apr 2004 18:00:00 -0500

kdelibs (4:3.2.2-1) unstable; urgency=low

  * New upstream release.
  * Added CUPS usage information to README.Debian. (Closes: #132587)
  * Update kdelibs-data Replaces: openoffice.org-mimlnk. (Closes: #233700,
    #236508)
  * Correct debian menu replacewith usage. (Closes: #237260, #238769,
    #239260, #241083, #241420, #242266)
  * debian/Packaging.txt, debian/dh-make/menu.ex: Removed references to
    the obsolete kderemove menu tag in kdelibs' documentation.
  * debian/Packaging.txt, debian/dh-make/menu.ex: Added quotes to the menu
    file examples.
  * debian/dh-make/rules, debian/Packaging.txt: updated the information to
    the state that things currently are in sid.
  * debian/dh-make/rules, debian/Packaging.txt: Added an example icon entry
    to the example menu file content.
  * debian/Packaging.txt: Added a paragraph by Nathaniel W. Turner
    explaining how to use CDBS for packaging a KDE app.

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  5 Apr 2004 23:00:00 -0500

kdelibs (4:3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Added kdelibs4 Depends xbase-clients. (Closes: #232348)

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 04 Mar 2004 22:00:00 -0600

kdelibs (4:3.2.0-0pre1v1) experimental; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 17 Feb 2004 01:00:00 -0600

kdelibs (4:3.1.95-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 21 Jan 2004 21:00:00 -0600

kdelibs (4:3.1.5-1) unstable; urgency=low

  * New upstream release.
  * Added libtool arm patch.
  * Corrected meinproc manpage. (Closes: #220883)
  * Added --enable-dnotify to configure (Closes: #206976)

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 10 Jan 2004 14:00:00 -0600

kdelibs (4:3.1.4-3) unstable; urgency=low

  * Added Replaces to kdelibs-data for arson, k3b. (Closes: #214534)
  * Move meinproc to kdelibs-bin so that khelpcenter glossary works.
    (Closes: #214815)
  * Restore generation of system.kdeglobals. (Closes: #216463)
  * Remove symlink /usr/share/config -> /etc/trinity.

 -- Christopher L Cheney <ccheney@debian.org>  Tue,  4 Nov 2003 22:00:00 -0600

kdelibs (4:3.1.4-2) unstable; urgency=low

  * Added patch to update autotools files.
  * Added patch to remove pedantic-errors from KDE_CHECK_FUNC_EXT since it
    causes configure checks to fail due to #line numbers being > 32767.
  * Added patch to make KStandardDirs::addKDEDefaults look in /usr/local as
    well.

 -- Christopher L Cheney <ccheney@debian.org>  Sun,  5 Oct 2003 18:00:00 -0500

kdelibs (4:3.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 27 Sep 2003 02:00:00 -0500

kdelibs (4:3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 29 Jul 2003 20:00:00 -0500

kdelibs (4:3.1.2-2.1) unstable; urgency=low

  * NMU
  * kdelibs4-dev Depends: libxml2-utils.
    Closes: #196222, #196958, #199044, #200483, #200484

 -- LaMont Jones <lamont@debian.org>  Wed,  9 Jul 2003 15:26:11 -0600

kdelibs (4:3.1.2-2) unstable; urgency=low

  * Add xlibs-pic to kdelibs-dev Depends. (Closes: #193863)
  * Add libssl-dev to kdelibs-dev Depends. (Closes: #180542)

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 19 May 2003 12:00:00 -0500

kdelibs (4:3.1.2-1) unstable; urgency=low

  * New upstream release. (Closes: #185697, #192616, #192931)

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 18 May 2003 01:00:00 -0500

kdelibs (4:3.1.1-1) unstable; urgency=low

  * New upstream release. (Closes: #181547, #181870)
  * Correct imagetops manpage description. (Closes: #180868)

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 11 Mar 2003 19:00:00 -0600

kdelibs (4:3.1.0-2) unstable; urgency=low

  * Add 'chmod +x configure' to rules.

 -- Christopher L Cheney <ccheney@debian.org>  Wed,  5 Feb 2003 12:00:00 -0600

kdelibs (4:3.1.0-1) unstable; urgency=low

  * New Upstream.
  * Rebuilt debian dir.
  * Split arts out of kdelibs source.

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 01 Feb 2003 01:00:00 -0600

kdelibs (4:2.2.2-14) unstable; urgency=low

  * And a quick update to send it to unstable; no changes from -13.woody.3.

 -- Daniel Stone <dstone@trinity.unimelb.edu.au>  Wed, 11 Sep 2002 22:29:31 +1000

kdelibs (4:2.2.2-13.woody.8) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply the following patches from upstream:
    - post-2.2.2-kdelibs-http.patch (CAN-2003-0459)
    - post-2.2.2-kdelibs-kio-2.diff (CAN-2003-0370)
    - post-2.2.2-kdelibs-kssl-2.diff (CAN-2003-0370)
  * These address the issues described in:
    - http://www.kde.org/info/security/advisory-20030602-1.txt
    - An upcoming KDE advisory regarding CAN-2003-0370

 -- Matt Zimmerman <mdz@debian.org>  Thu, 24 Jul 2003 12:57:56 -0400

kdelibs (4:2.2.2-13.woody.7) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied upstream patch so ghostscript won't execute arbitrary commands
    hidden inside of postscript files.

 -- Martin Schulze <joey@infodrom.org>  Thu, 10 Apr 2003 12:05:36 +0200

kdelibs (4:2.2.2-13.woody.6) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied upstream patches to fix several potential vulnerabilities.
    http://www.kde.org/info/security/advisory-20021220-1.txt

 -- Martin Schulze <joey@infodrom.org>  Mon,  6 Jan 2003 08:20:04 +0100

kdelibs (4:2.2.2-13.woody.5) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Second (or third, since the first one burnt together with satie and
    the entire building around it) injection into the security build
    network since 8 buildds refuse to upload the binary packages and the
    maintainer refuses to answer.  *sigh*

 -- Martin Schulze <joey@infodrom.org>  Sat, 30 Nov 2002 18:25:33 +0100

kdelibs (4:2.2.2-13.woody.4) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Remove rlogin.protocol and telnet.protocol to fix URL KIO
    vulnerability (as reported by the KDE team)
  * Add special detection routine for big/little endianess on MIPS since
    the line "byteorder  : {big|little} endian" from /proc/cpuinfo was
    removed as of Linux 2.4.20, resulting in the mipsel buildd being
    unable to build this package.

 -- Martin Schulze <joey@infodrom.org>  Fri, 22 Nov 2002 11:42:59 +0100

kdelibs (4:2.2.2-13.woody.3) stable-security; urgency=high

  * Non-maintainer upload authored by security team (Joey)
  * Fixes cross-site scripting vulnerability in KHTML.
    (http://www.kde.org/info/security/advisory-20020908-2.txt)

 -- Daniel Stone <dstone@trinity.unimelb.edu.au>  Wed, 11 Sep 2002 22:24:35 +1000

kdelibs (4:2.2.2-13.woody.2) stable-security; urgency=high

  * Non-maintainer upload by security team
  * Security upload to fix SSL problems with Konqueror.
  * Fix local denial of service attack with aRts. This is NOT a local root
    vulnerability, just a stupid, over-excited skript kiddie wanting propz
    off SecurityFocus. *sigh*. (closes: #152211)
  * Adjusted Build-Depends (i.e. added libstdc++2.10-dev/libstdc++3-dev and g++)
  * Removed setuid bits for artswrapper from lintian overrides
  * Added sanity checks to artswrapper so open(), fopen() etc. never
    return file descriptors 1 or 2 (reserved for stdout and stderr)
  * Applied upstream patch to avoid a local denial of service (hence not
    raising the nice level)
  * Don't install artswrap setuid root anymore because of the above

 -- Martin Schulze <joey@infodrom.org>  Fri, 16 Aug 2002 18:46:10 +0200

kdelibs (4:2.2.2-13.woody.1) testing-security; urgency=high

  * Non-maintainer upload by security team
  * Don't install artswrapper suid, it is a security problem waiting to
    happen

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 12 Jul 2002 22:47:26 +0200

kdelibs (4:2.2.2-13) unstable; urgency=high

  * Fixed kdelibs-dev dependency should be libpng2-dev

 -- Christopher L Cheney <ccheney@debian.org>  Fri,  1 Mar 2002 17:00:00 -0600

kdelibs (4:2.2.2-12) unstable; urgency=high

  * New maintainer.
  * Remove Build-Depends on libglib1.3-dev since it has unstable ABI
    (Closes: #133171, #134168)
  * added suggests libjpeg-mmx-progs | libjpeg-progs, netpbm (Closes: #129094)

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 28 Feb 2002 13:00:00 -0600

kdelibs (4:2.2.2-11) unstable; urgency=low

  * Adopting orphaned package, thanks to Ivan for all the great work over the
    years.

 -- Daniel Stone <daniel@sfarc.net>  Fri,  4 Jan 2002 09:14:46 -0500

kdelibs (4:2.2.2-10) unstable; urgency=low

  * Fix Deps (Closes: #126232)
  * Change nas-dev suggests to depends
  * A Couple upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 27 Dec 2001 23:20:00 -0700

kdelibs (4:2.2.2-9) unstable; urgency=low

  * Move all non-module .la files from /usr/lib into -dev package.  We leave 
    all the .la files out of /usr/lib/kde2 and those that may not be normal
    libraries out of /usr/lib
  * Fix spelling error (Closes: #124989)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 17 Dec 2001 22:00:00 -0700

kdelibs (4:2.2.2-8) unstable; urgency=low

  * Depend on libfam-dev (Closes: #124264)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Dec 2001 17:21:00 -0700

kdelibs (4:2.2.2-7) unstable; urgency=low

  * Break out bin files from kdelibs3 so that we can interoperate with
    kdelibs4 easily.
  * Fix deviceman.cc (Closes: #124132)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 14 Dec 2001 18:28:00 -0700

kdelibs (4:2.2.2-6) unstable; urgency=low

  * sync with upstream
  * Add in Build-Depends we normally get through libqt-dev so we can better
    follow policy
  * Add libfam-dev to Build-Depends
  * Version the libjpeg62-dev deps and add libjpeg to the depends for
    kdelibs-dev since some older versions don't have the .la file
  * Put bug reporting back to KDE so the users are happy and the developers
    are not.
  * Conflict (Closes: #123846)
  * Update dh-make files

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 13 Dec 2001 00:57:00 -0700

kdelibs (4:2.2.2-5) unstable; urgency=low

  * sync with upstream
  * Build with nas support by popular demand
  * Update Build-Depends:  +nas-dev

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 05 Dec 2001 06:04:00 -0700

kdelibs (4:2.2.2-4) unstable; urgency=low

  * sync with upstream
  * Build cleanup.  export CFLAGS/CXXFLAGS instead of the old method
  * Build-Depends cleanup
  * Dep cleanup.  Let's not conflict so much for the final release and lets
    not Recommend everything for the final release. (Closes: #118952)
  * Build with Xinerama support for i386 only (Closes: #116765)
  * Add in bits in debian/rules to make it easier to build optimized binaries
  * Remove old replaces/conflicts for keystone
  * Cleanup documentation for freeze
  * Cleanup dh-make files
  * Default to Reject for cookie acceptions. (Closes: #121750)
  * kio_https.* no longer exists and due to diversions we could end up 
    with the files existing but not tied to any package..so let's make
    sure to remove them.

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 30 Nov 2001 12:39:00 -0700

kdelibs (4:2.2.2-3) unstable; urgency=low

  * a couple upstream fixes
  * debianrules cleanup
  * More lintian cleanup
  * Remove stupid debug messages (Closes: #120647)
  * More work on BTS stuff.  Give 2 options for Help/Report Bug, one to
    check current reports and one to report.

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 25 Nov 2001 20:11:00 -0700

kdelibs (4:2.2.2-2) unstable; urgency=low

  * Remove recommends for libssl as I'm breaking policy by recommending
    something outside of main.  Will put this back once libssl goes into
    main.
  * libkmid | libkmid-alsa to help users out a bit

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 22 Nov 2001 20:14:00 -0700

kdelibs (4:2.2.2-1) unstable; urgency=low

  * New upstream version
  * Provide replace/etc bits for easier migration to/from trinity
  * Update python deps (Closes: #118208)
  * Fix glib inclusion bits for gmcop stuff...however we are still
    not going to build with it until someone has a need for it.
  * Remove some other hacks
  * Update deps for qt as qt 2.3.2 has a fix which breaks a piece of kdelibs
    so let's make sure we match up across the board.
  * Update shlibs for the same reason
  * Use libasound2
  * Fix printing to files with spaces in the name (Closes: #117962)
  * Fix build with new libxml2 (Closes: #118638)
  * Update build-depends
  * Fix overwrite issues (Closes: #118802)
  * Updates to take care of changes in Qt 2.3.2 (Closes: #118868)
  * Do away with /etc/kderc and provide a link from /etc/kde2 to
    /usr/share/kde2/config.  Hardcode the config dir to /usr/share/kde2/config
    instead of /usr/share/config.  Can't hardcode it to /etc/kde2 since 
    the /usr part of it all is pulled from the prefix.  This will work tho
  * Move certain -dev binaries over to the -dev package
  * Should fix socks autodetection (Closes: #118925)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Nov 2001 23:17:00 -0700

kdelibs (4:2.2.1-14) unstable; urgency=low

  * Fix overwrite problem (Closes: #116773)
  * Hopefully fix arts for bigendian (Closes: #115292)
  * Sync with upstream

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 25 Oct 2001 09:39:00 -0700

kdelibs (4:2.2.1-13) unstable; urgency=low

  * Fix overwrite problem (Closes: #116568)
  * Sync with upstream

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 21 Oct 2001 19:27:00 -0700

kdelibs (4:2.2.1-12) unstable; urgency=low

  * more js fixes
  * more ssl fixes
  * gernal sync with upstream
  * Added missing build-conflict
  * Get rid of automake hacks...hard code build-dep version for new automake
    thank god trinity builds with automake1.5...

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 19 Oct 2001 12:43:00 -0700

kdelibs (4:2.2.1-11) unstable; urgency=low

  * Several crash fixes
  * js fixes
  * ssl fixes
  * Update shlibs. This should take care of a few problems

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 15 Oct 2001 00:15:00 -0700

kdelibs (4:2.2.1-10) unstable; urgency=low

  * Hopefully fix both the AA problem and the kicker crash problem
  * Clean up lintian overrides
  * Sync with upstream

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 12 Oct 2001 10:18:00 -0700

kdelibs (4:2.2.1-9) unstable; urgency=low

  * Fix deps (Closes: #115064)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 08 Sep 2001 09:55:00 -0700

kdelibs (4:2.2.1-8) unstable; urgency=low

  * Remove build-depends for auto* since we are doing that locally to
    get around the automake 1.5 issues
  * Remove configure checks for automake/autoheader.  On some archs it seems
    to track this info down and attempt to run auto* which just hoses things
  * More upstream fixes
  * Update standards version

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 08 Sep 2001 09:55:00 -0700

kdelibs (4:2.2.1-7) unstable; urgency=low

  * Not sure what happened but let's chmod 755 configure just to make
    sure it's got the proper perms before we execute it (Closes: #114552)
  * Various other upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 05 Sep 2001 09:48:00 -0700

kdelibs (4:2.2.1-6) unstable; urgency=low

  * let this puppy build with automake 1.5
  * Various other upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 02 Sep 2001 01:00:00 -0700

kdelibs (4:2.2.1-5) unstable; urgency=low

  * arts updates ... this should fix some of the arts related problems
  * crash fix for css
  * Various other upstream fixes
  * fix shlibs

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 30 Sep 2001 01:00:00 -0700

kdelibs (4:2.2.1-4) unstable; urgency=low

  * Build-Conflict for nas-lib so that we can build properly

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 24 Sep 2001 19:25:00 -0700

kdelibs (4:2.2.1-3) unstable; urgency=low

  * Post 2.2.1 quick fixes from upstream

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 23 Sep 2001 18:42:00 -0700

kdelibs (4:2.2.1-2) unstable; urgency=low

  * Grrrr build on alpha!
  * Fix replaces (Closes: #112902)
  * Fix replacement (Closes: #112901)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 19 Sep 2001 16:27:00 -0700

kdelibs (4:2.2.1-1) unstable; urgency=low
 
  * New upstream version
  * Move artsc-config into -dev package (Closes: #109973)
  * Priority set to extra for -alsa packages
  * Do NOT build with Xinerama support due to the library being static
    and that whole PIC/non-PIC so thing. 
  * Fix ctrl+s (Closes: #110694)
  * Don't need to build with gcc3 for alpha anymore, however we still
    need to build with -O0
  * Provide undocumented links (Closes: #94280)
  * Fixes printing (Closes: #108301, #111388, #109930)
  * Fix shlibs for alsa packages (Closes: #111640, #110159)
  * Don't use objprelink anymore
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 07 Sep 2001 12:10:00 -0700

kdelibs (4:2.2.0-final-3) unstable; urgency=low
 
  * Sync with upstream
  * Fix a couple more deps/build-deps
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 22 Aug 2001 10:59:00 -0700

kdelibs (4:2.2.0-final-2) unstable; urgency=low
 
  * update build-depends for i386
  * Updated translation bits
  * sync with upstream

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 19 Aug 2001 00:01:00 -0700

kdelibs (4:2.2.0-final-1) unstable; urgency=low
 
  * New upstream version 2.2
  * Build with objprelink for i386
  * update build-depends
  * do not build with xinerama support for hppa
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Aug 2001 02:30:00 -0700

kdelibs (4:2.2.0-0.1beta1-2) unstable; urgency=low
 
  * synce with upstream
  * more https related fixes
  * Fix shlibs
  * Fix build issues with new libxml2-dev (Closes: #106766)
  * fix postrm of kdelibs-dev
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Jul 2001 12:18:00 -0700

kdelibs (4:2.2.0-0.1beta1-1) unstable; urgency=low
 
  * synce with upstream
  * Drop optimization down for cross arch building
  * Move libkscreensaver.so over to -dev package where it belongs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 25 Jul 2001 03:35:00 -0700

kdelibs (4:2.2.0-0beta1-6) unstable; urgency=low
 
  * synce with upstream
  * Update debhelper templates for alpha build bits
  * Update/Clean/Fix various dependency issues
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Jul 2001 00:53:00 -0700

kdelibs (4:2.2.0-0beta1-5) unstable; urgency=low
 
  * synce with upstream
  * Add -mieee for Alpha builds
  * Add Recommends for aspell | ispell
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Jul 2001 00:57:00 -0700

kdelibs (4:2.2.0-0beta1-4) unstable; urgency=low
 
  * synce with upstream
  * Remove old pam bit (Closes: #103493)
  * Fix http proxy support
  * More js fixes
  * Update standards version
  * Re-establish shlibs for libarts (Closes: #103655)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 04 Jul 2001 14:37:00 -0700

kdelibs (4:2.2.0-0beta1-3) unstable; urgency=low
 
  * Fix description (Closes: #103206)
  * Sync with upstream
  * Update build-depends
  * don't compress .bz2 files (Closes: #103262)
  * Use dpkg-divert instead of alternatives
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 02 Jul 2001 13:18:00 -0700

kdelibs (4:2.2.0-0beta1-2) unstable; urgency=low
 
  * Move over a cups file that didn't get into -cups package
  * Fix alsa-stamp build location
  * Change kdelibs3-cups depends on kdebase-libs to a recommends
  * More upstream fixes
  * Fix overwrites (Closes: #102857)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 29 Jun 2001 13:18:00 -0700

kdelibs (4:2.2.0-0beta1-1) unstable; urgency=low

  * Fix mips build (Closes: #102007)
  * Fix postinst stuff
  * New upstream CVS pull (post alpha2)
  * 2.2 beta 1
  * Remove old .shlibs files
  * Moving to -cvs{date] format for entering into experimental
  * This is a post alpha1 snapshot taken from the HEAD cvs branch.  
    date listed in the version number states when the initial pull was made
    however updates may and most likely will have taken place since that
    date.  Look at it as a >= cvs{date}
  * More arts cleanup
  * Adding artsbuilder to the suggests for libarts/libarts-alsa
  * Includes /tmp security fix
  * Updated Build-Depends/Depends for docbook stuff
  * More cleanup in debian/rules
  * move artsmessage into libarts package where it belongs
  * Update copyright information
  * more build cleanup...moving to debhelper version 3
  * Move dh_make files into kdelibs-dev package where they were supposed to be
  * Move more includes from kdelibs3 to kdelibs-dev ... new stuff I missed
  * More more cups bits out of kdelibs3 and into kdelibs3-cups
  * Reseting all lintian overrides
  * Add flex to build-depends as well as other deps
  * Add Debian menu items: cupsdconf
  * New packages: kdelibs3-cups
  * Moving kdoc and qt-doc into Build-Depends-Indep
  * Add Provides in for libarts-alsa/libkmid-alsa

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Jun 2001 06:30:00 -0700

kdelibs (4:2.1.1-7) unstable; urgency=low
 
  * Adding in a dh-make template tree under /usr/share/doc/kdelibs-dev/dh-make
    It is for a single binary package.  
  * Update README
  * Remove old undocumented.in bits since it's now pointless
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 09 Apr 2001 03:00:00 -0700

kdelibs (4:2.1.1-6) unstable; urgency=low
 
  * Sync with upstream.
    Locale updates
    More http fixes
  * Update build-depends to include real | virtual
  * Adding in a Packaging.txt document to kdelibs-dev the goal of which is to
    answer any question one might have about packaging a KDE app for Debian.
  * Fixing docs file for libarts

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 09 Apr 2001 03:00:00 -0700

kdelibs (4:2.1.1-5) unstable; urgency=low
 
  * Sync with upstream.
    Several more http fixes
  * Removing old AA bits 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Apr 2001 04:33:00 -0700

kdelibs (4:2.1.1-4) unstable; urgency=low
 
  * Sync with upstream.
    Proxy Authentication fix...round 2.
  * Oh..and Happy Birthday to my wife Audra.  :)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 04 Apr 2001 18:04:00 -0700

kdelibs (4:2.1.1-3) unstable; urgency=low
 
  * Sync with upstream.  
    Includes several khtml fixes
    Memory leak fix
    Proxy Authentication fix
  * Update pam file for kde, add more documentation in it and modify defaults
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 03 Apr 2001 10:18:00 -0700

kdelibs (4:2.1.1-2) unstable; urgency=low
 
  * 2 birds with 1 debuild.  
    Rebuild against older libc6
    Couple upstream fixes in kjs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Mar 2001 13:39:00 -0700

kdelibs (4:2.1.1-1) unstable; urgency=low
 
  * New upstream release
  * Dropping provides for kdelibs3-dev
  * don't allow POST data to dump to the debug output...
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Mar 2001 10:26:00 -0700

kdelibs (4:2.1.0.1-5) unstable; urgency=low
 
  * Several fixes moving us towards 2.1.1
  * Several "don't crash when..." fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 15 Mar 2001 10:26:00 -0700

kdelibs (4:2.1.0.1-4) unstable; urgency=low
 
  * More upstream fixes
  * Add in a pam_env statement to kde pam file.  This *should* fix problems
    people have had with kde not reading in their environment settings

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 13 Mar 2001 16:24:00 -0700

kdelibs (4:2.1.0.1-3) unstable; urgency=low
 
  * More upstream fixes
    location object fixes for JavaScript
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 11 Mar 2001 02:43:00 -0700

kdelibs (4:2.1.0.1-2) unstable; urgency=low
 
  * More upstream fixes
    several khtml fixes especially with css
    more font fixes
    more session fixes..hopefully solving some of the reports
  * built with new kdoc
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 11 Mar 2001 02:43:00 -0700

kdelibs (4:2.1.0.1-1) unstable; urgency=low
 
  * Fix proxy authentication
  * Several other upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 08 Mar 2001 15:22:00 -0700

kdelibs (4:2.1.0-3) unstable; urgency=low
 
  * More upstream fixes
   Fix for URLs like "http://www.kde.org?query=bla" and "http://www.kde.org#ref"
   Fix for crashes opening http://www.radiocomercial.pt
   Fix for accessing cookies via javascript
   Fix for problem with filenames getting cut with umlauts
   Fix for problem with permission changes in properties dialog
   Don't unzip if the filename ends with .gz

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Mar 2001 01:54:00 -0700

kdelibs (4:2.1.0-2) unstable; urgency=low
 
  * Adding libbz2-dev and libsasl-dev into Build-Depends so that the ioslaves
    will be built on other archs.  Other archs probably didn't even notice. 
  * dcopserver freeze fix
  * Several other http fixes along with hopefully proper fixes to
    the url entry problems
  * Applying patch for Simplified Chinese support
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 04 Mar 2001 09:09:00 -0700

kdelibs (4:2.1.0-1) unstable; urgency=low
 
   * Re-pulling from CVS instead of using the official tarballs.  The
     official tarballs had problems which made it hard to handle patches
   * Version changed to 2.1.0 instead of 2.1-final as we are post 2.1-final
     and pre 2.1.1 which will be released in about a month.  This also allows
     for the source upload.
   * Modified ksgmltools configure.in.in to handle new location of sgml files
   * Updating build-depends

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 27 Feb 2001 19:00:00 -0700

kdelibs (4:2.1-final-1) unstable; urgency=low
 
   * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 02:31:00 -0700

kdelibs (4:2.1-beta2-0128-2) unstable; urgency=low
  
   * Adding in cleanup for kde doc link (Closes: #85653)
   * Moving from kdelibs3-dev to kdelibs-dev to conform to policy
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 18 Feb 2001 02:31:00 -0700

kdelibs (4:2.1-beta2-0128-1) unstable; urgency=low
 
   * Fixing artsdsp LD_PRELOAD problem (Closes: #83592)
   * Adding in replaces/conflicts for *ancient* non-existant kdelibs-nossl
     package. (Closes: #83607)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Jan 2001 01:30:00 -0700

kdelibs (4:2.1-beta2-3) unstable; urgency=low
 
   * Lots of little fixes
   * Fixing -dev dependencies...(allowing for -alsa packages)
   * fix shlibs for libkssl
   * Adding in a couple more build-depends - autoconf, libtool, gettext
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 25 Jan 2001 02:16:00 -0700

kdelibs (4:2.1-beta2-2) unstable; urgency=low
 
   * Fixes problem with version number not showing
   * Cleaning up depends for -dev packages
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 23 Jan 2001 12:36:00 -0700

kdelibs (4:2.1-beta2-1) unstable; urgency=low
 
   * New upstream beta
   * Fixing shlibs
   * Fixing confliction problem (Closes: #83083)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Jan 2001 06:00:00 -0700

kdelibs (4:2.1-20010118-1) unstable; urgency=low
 
   * more upstream bug fixes
     fix JS and onmouseovers
   * mimetype fixes (Closes: #76455)
   * fix build order for libarts-alsa
   * breaking out libkmid to avoid unnessary depends (Closes: #82901, #82924)
   * libarts and libkmid are Recommends of kdelibs3 and not dependant now

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 18 Jan 2001 13:00:00 -0700

kdelibs (4:2.1-20010115-1) unstable; urgency=low
 
   * more upstream bug fixes
   * a ton of documentation updates
   * move away from suidregister
   * Fix postinst ldconfig calls.  (Closes: #82246)
   * Adding a libarts-alsa package
   * Upstream fixes for libltdl includes (Closes: #82359)
   * Fixes problem with bug report email address
   * JavaScript/Java happy again...happy happy joy joy happy happy joy joy...
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Jan 2001 01:00:00 -0700

kdelibs (4:2.1-20010109-1) unstable; urgency=low
 
   * more upstream bug fixes
   * More dependency/build-depend fixes
   * This was definatly built with the same dpkg that kdelibs-crypto was so
     I'm assuming this just squeaked by dinstall...so just to be sure...
   * Java should work again
   * Fix kdesud security by
     a) Not creating the socket under /tmp
     b) Verifying afterwards that it was our own socket
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 09 Jan 2001 10:00:00 -0700

kdelibs (4:2.1-20010106-1) unstable; urgency=low
 
   * more upstream bug fixes
   * Contains both the symlink/sniff attack fix for kdesu
   * Moving conflicts for task-* packages to kdebase
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 06 Jan 2001 15:00:00 -0700

kdelibs (4:2.1-20010101-1) unstable; urgency=low
 
   * more upstream bug fixes
   * Applying new i18n patch
   * Adding in conflicts for old task- packages (Closes: #81003)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Jan 2001 03:30:00 -0700

kdelibs (4:2.1-20001218-2) unstable; urgency=low
 
  * more upstream bug fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Dec 2000 12:22:00 -0700

kdelibs (4:2.1-20001218-1) unstable; urgency=low
 
  * more upstream bug fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Dec 2000 22:44:00 -0700

kdelibs (4:2.1-20001216-1) unstable; urgency=low
 
  * more upstream bug fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 16 Dec 2000 18:44:00 -0700

kdelibs (4:2.1-20001214-1) unstable; urgency=low

  * new kdelibs-doc rules thanks to Gordon Sadler w/ tweaks to allow building
    when kdelibs is not already installed... (Closes: #79583)
  * more upstream bug fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 14 Dec 2000 13:35:00 -0700

kdelibs (4:2.1-20001213-1) unstable; urgency=low
 
  * New upstream beta
  * Breaking out aRts pieces into their own packages so that others don't
    need to install kdelibs in it's entirety to use arts.
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Dec 2000 14:22:00 -0700

kdelibs (4:2.0-final-5) unstable; urgency=low
 
  * More upstream fixes
  * More dependency work
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 12 Nov 2000 18:15:00 -0700

kdelibs (4:2.0-final-4) unstable; urgency=low
 
  * More upstream fixes
  * Applying new i18n patch
  * More dependency work
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Nov 2000 17:30:00 -0700
                                                                                
kdelibs (4:2.0-final-3.1) unstable; urgency=low
 
  * Applying i18n patch (Closes: #75830)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 05 Nov 2000 23:00:00 -0700

kdelibs (4:2.0-final-3) unstable; urgency=low
 
  * More upstream fixes
  * Fixing (again) suid bit on artswrapper
  * Changing bug reporting to point to bugs.debian.org - hopefully I don't 
    totally hose the bug reporting pieces...
  * Building against X4 libs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 01:30:00 -0700
                                                                                
kdelibs (4:2.0-final-2.2) unstable; urgency=low
 
  * Fixing dependency I hosed 
  * Fixing suid bit on artswrapper
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 03 Nov 2000 00:30:00 -0700
                                                                                
kdelibs (4:2.0-final-2.1) unstable; urgency=low
 
  * kdelibs-doc once again contains it's kdoc output
  * kstyles upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Nov 2000 21:46:00 -0700

kdelibs (4:2.0-final-2) unstable; urgency=low

  * more upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Nov 2000 18:00:00 -0700

kdelibs (4:2.0-final-0) unstable; urgency=low
 
  * KDE 2.0
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Oct 2000 00:00:00 -0700
                                                                                
kdelibs (4:2.0-20001016-0) unstable; urgency=low

  * more upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 16 Oct 2000 15:00:00 -0700

kdelibs (4:2.0-20001015-0) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 15 Oct 2000 20:05:00 -0700
                                                                                
kdelibs (4:2.0-20001013-0) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 13 Oct 2000 23:45:00 -0700
                                                                                
kdelibs (4:2.0-20001011-0) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 11 Oct 2000 03:45:00 -0700
                                                                                
kdelibs (4:2.0-20001009-3) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 10 Oct 2000 17:00:00 -0700
                                                                                
kdelibs (4:2.0-20001009-2) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 10 Oct 2000 00:00:00 -0700
                                                                                
kdelibs (4:2.0-20001009-0) unstable; urgency=low
 
  * KDE 2.0 RC2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 09 Oct 2000 08:00:00 -0700
                                                                                
kdelibs (4:2.0-20001006-4) unstable; urgency=low
 
  * Fixing startup crashes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Oct 2000 09:00:00 -0700
                                                                                
kdelibs (4:2.0-20001006-3) unstable; urgency=low
 
  * More upstream fixes
  * Fixing preinst applnk problem (Closes: #74195, #74218)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Oct 2000 03:00:00 -0700
                                                                                
kdelibs (4:2.0-20001006-2) unstable; urgency=low
 
  * More crypto fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 06 Oct 2000 15:30:00 -0700
                                                                                
kdelibs (4:2.0-20001006-0) unstable; urgency=low
   
  * More upstream fixes
  * Getting rid of kdelibs-nossl and now providing a kdelibs-crypto package

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 06 Oct 2000 01:30:00 -0700
                                                                                
kdelibs-nossl (4:2.0-20001004-2) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 15:00:00 -0700
                                                                                
kdelibs-nossl (4:2.0-20001004-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 04 Oct 2000 23:30:00 -0700
                                                                                
kdelibs (4:2.0-20001002-0) unstable; urgency=low
 
  * KDE 2.0 RC1
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 02 Oct 2000 01:30:00 -0700
                                                                                
kdelibs (4:2.0-20000927-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 27 Sep 2000 23:30:00 -0700

kdelibs (4:2.0-20000925-0) unstable; urgency=low

  * More upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 25 Sep 2000 15:30:00 -0700

kdelibs (4:2.0-20000923-0) unstable; urgency=low
 
  * More upstream fixes
  * Fixing build issues
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Sep 2000 23:00:00 -0700

kdelibs (4:2.0-20000920-0) unstable; urgency=low
 
  * More upstream fixes 
  * Fixing build issues 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Sep 2000 23:00:00 -0700

kdelibs (4:2.0-20000918-0) unstable; urgency=low
 
  * More upstream fixes (-beta5)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 17:00:00 -0700
                                                                                
kdelibs (4:2.0-20000910-0) unstable; urgency=low

  * More upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 10 Sep 2000 23:00:00 -0700

kdelibs (4:2.0-20000909-0) unstable; urgency=low
  
  * More package cleanup
  * More upstream fixes
  * All lintian errors are bogus currently.  k*.so files are modules and
    I can only assume that lintian just doesn't know how to handle them.
    the extra license's are needed for KDE and specially setup for KDE

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 09 Sep 2000 02:00:00 -0700

kdelibs (4:2.0-20000907-0.1) unstable; urgency=low
 
  * Fixing issue with requiring -dev package
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 21:00:00 -0700

kdelibs-nossl (4:2.0-20000907-0) unstable; urgency=low

  * More Upstream fixes
  * Initial Debian upload

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 01:00:00 -0700

kdelibs (4:2.0-20000905-0.1) unstable; urgency=low

  * More Upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 18:30:00 -0700

kdelibs (4:2.0-20000905-0) unstable; urgency=low

  * More Upstream fixes
  * Adding in a version number for libqt2.2 dependency

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 00:30:00 -0700

kdelibs (4:2.0-20000901-0) unstable; urgency=low

  * More Upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Sep 2000 00:02:00 -0700

kdelibs (4:2.0-20000829-0) unstable; urgency=low
 
  * More Upstream fixes
  * Committing most package updates to CVS tree
  * No GPL/QT conflictions

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 29 Aug 2000 21:15:00 -0700

kdelibs (4:2.0-20000825-0) experimental; urgency=low
 
  * Upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 25 Aug 2000 20:00:00 -0700
                                                                                
kdelibs (4:2.0-20000824-1.0) experimental; urgency=low
 
  * KDE 2.0 beta 4

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 24 Aug 2000 18:30:00 -0700
                                                                                
kdelibs (4:2.0-20000821-1.0) experimental; urgency=low

  * New upstream fixes
  * Adding config link check into postinst script

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 21 Aug 2000 22:45:00 -0700

kdelibs (4:2.0-20000820-1.0) experimental; urgency=low
 
  * New upstream fixes
  * No requirement for -dev package now
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Aug 2000 07:45:00 -0700
                                                                                
kdelibs (4:2.0-20000816-1.0) experimental; urgency=low

  * Major hacking to fix tons of issues
  * New upstream beta version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 16 Aug 2000 22:30:00 -0700

kdelibs (4:2.0-20000814-1.0) experimental; urgency=low

  * More CVS updates
  * Tweaks to applnk items

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 14 Aug 2000 02:30:00 -0700

kdelibs (4:2.0-20000810-1.0) experimental; urgency=low
 
  * More CVS updates
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 10 Aug 2000 02:30:00 -0700

kdelibs-cvs (4:2.0-20000517-1.0) experimental; urgency=low
 
  * More CVS updates
  * Turning on debugging
  * Fixes to preinst script
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 17 May 2000 22:30:00 -0700

kdelibs-cvs (4:2.0-20000512-1.2) experimental; urgency=low

  * New upstream beta version
  * Turning on debugging

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 12 May 2000 20:30:00 -0700

kdelibs-cvs (4:2.0-20000403-1.0) experimental; urgency=low
 
  * More upstream CVS updates
  * Adding in depends for kde-qt-addon
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 03 Apr 2000 06:30:00 -0700

kdelibs-cvs (4:2.0-20000306-1.1) experimental; urgency=low
 
  * More upstream CVS updates
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Mar 2000 22:45:00 -0700

kdelibs-cvs (4:2.0-20000302-1.0) experimental; urgency=low
 
  * More upstream CVS updates
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Mar 2000 22:00:00 -0700
                                                                
kdelibs-cvs (4:2.0-20000229-1.0) experimental; urgency=low

  * More upstream CVS updates
  * Adding in build-depends
  * Making changes to ust libqt2.1

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 29 Feb 2000 22:00:00 -0700

kdelibs-cvs (4:2.0-20000221-1.1) experimental; urgency=low

  * Rebuild with updated CVS files and new cleanups

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 22 Feb 2000 18:00:00 -0700

kdelibs-cvs (4:2.0-20000221-1.0) experimental; urgency=low

  * More upstream changes
  * Adding in a shlibs.local file to clear up self-dependency
  * Adding in missing man pages
  * Seperating out doc files again

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 21 Feb 2000 22:00:00 -0700

kdelibs-cvs (4:2.0-19991117-1.0) experimental; urgency=low

  * More upstream changes

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 17 Nov 1999 05:30:00 -0400

kdelibs-cvs (4:2.0-19991020-1.0) experimental; urgency=low

  * More upstream changes

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Oct 1999 06:30:00 -0400

kdelibs-cvs (4:2.0-19991013-1.0) experimental; urgency=low

  * More upstream changes
  * More cleanup
  * Removing conffiles for compile time creaction of it
  * Adding in pre* scripts
  * Commenting out dh_link piece to see if we still need it

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Oct 1999 23:30:00 -0400

kdelibs-cvs (4:2.0-19991001-0.1) experimental; urgency=low

  * new upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Oct 1999 14:30:00 -0400

kdelibs-cvs (4:2.0-19990921-0.1) experimental; urgency=low

  * new upstream CVS version
  * Fixing postinst script and one minor issue with rules to bring everything
    up to Debian policy.

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 21 Sep 1999 11:15:00 -0400

kdelibs-cvs (4:2.0-19990912-0.1) experimental; urgency=low

  * new upstream CVS version
  * Using 0.x numbers for my updates which is mainly to keep up with CVS

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 13 Sep 1999 14:30:39 -0400

kdelibs-cvs (4:2.0-19990903-1.0) experimental; urgency=low

  * new upstream version

 -- Stephan Kulow <coolo@kde.org>  Fri,  3 Sep 1999 21:01:39 +0200

kdelibs-cvs (4:2.0-19990823-1.0) experimental; urgency=low

  * More CVS updates
  * Adding in a process to the postinst to verify that /usr/doc/kde/HTML/default
    is a link and not a directory
  * Removing ldconfig from postrm

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Aug 1999 07:30:28 -0400

kdelibs-cvs (4:2.0-19990822-1.0) experimental; urgency=low

  * Adding a link from /etc/kde2 to /usr/share/config until the proper
    solution is made.
  * More CVS updates

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 22 Aug 1999 05:00:28 -0400

kdelibs-cvs (4:2.0-19990820-1.1) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 21 Aug 1999 00:30:28 -0400

kdelibs-cvs (4:2.0-19990820-1) experimental; urgency=low

  * New upstream CVS version
  * Moving into /usr from /opt

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 20 Aug 1999 11:00:28 -0400

kdelibs-cvs (4:2.0-19990720-1) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 20 Jul 1999 07:45:28 -0400

kdelibs-cvs (4:2.0-19990626-2) experimental; urgency=low

  * back to using the paths out of debianrules with some dependency trick
    in rules. No more hardcoded paths there
  * don't use kderc file, but add the paths that are known to be 
    nonstandard in rules. And install into $kde_confdir/system.kdeglobals
    /etc/kderc may be used for the noncvs version later. For now it asks
    for trouble in my eyes :)
  * some changes in debianrules to make it more flexible too
  * don't compile with --enable-debug, but with --disable-debug - this does
    more than removing -g, don't know who made this policy within debian
  * use --enable-final as it makes thinks smaller, faster and better anyway ;)
  
 -- Stephan Kulow <coolo@kde.org>  Sat, 26 Jun 1999 14:33:05 +0200

kdelibs-cvs (4:2.0-19990626-1) experimental; urgency=low

  * New upstream CVS version
  * Fixing the /etc/kderc file (had it there, just didn't install it)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 26 Jun 1999 07:00:28 -0400

kdelibs-cvs (4:2.0-19990624-1) experimental; urgency=low

  * New upstream CVS version
  * Adding in a /etc/kderc file

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 25 Jun 1999 23:50:28 -0400

kdelibs-cvs (4:2.0-19990620-1) experimental; urgency=low

  * New upstream CVS version
  * Migrating to /etc/kde from /etc/kde2

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Jun 1999 11:00:28 -0400

kdelibs-cvs (4:2.0-19990601-1) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 01 Jun 1999 01:00:28 -0400

kdelibs-cvs (4:2.0-19990524-1) experimental; urgency=low

  * migrating back to / from /opt
  * migrating in new build fixes from -stable bringing package more in
    line with current Debian dist

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 24 May 1999 07:00:28 -0400

kdelibs-cvs (4:2.0-19990314-1) experimental; urgency=low

  * moving the -cvs from version to package name

 -- Stephan Kulow <coolo@kde.org>  Sun, 14 Mar 1999 21:12:28 +0100

kdelibs (4:2.0-19990312-cvs-3) experimental; urgency=low

  * use INSTALL_DATA with -p

 -- Stephan Kulow <coolo@kde.org>  Sat, 13 Mar 1999 23:13:09 +0100

kdelibs (4:2.0-19990312-cvs-2) experimental; urgency=low

  * use DESTDIR

 -- Stephan Kulow <coolo@kde.org>  Sat, 13 Mar 1999 23:11:16 +0100

kdelibs (4:2.0-19990312-cvs-1) experimental; urgency=low

  * new upstream version with corba support libraries integrated

 -- Stephan Kulow <coolo@kde.org>  Fri, 12 Mar 1999 23:31:27 +0100

kdelibs (4:2.0-19990309-1) experimental; urgency=low

  * new upstream version out of CVS (many translation updates and some
    security fixes
  * install it into /opt/kde2pre for now (unstripped)

 -- Stephan Kulow <coolo@kde.org>  Sat,  6 Mar 1999 18:03:04 +0100

kdelibs (4:1.1-19990217-1) unstable; urgency=low

  * new upstream version

 -- Stephan Kulow <coolo@kde.org>  Wed, 17 Feb 1999 19:09:42 +0100

kdelibs (4:1.1-19990207-2) unstable; urgency=low

  * fixed a bug with the jpeglib version

 -- Stephan Kulow <coolo@kde.org>  Tue,  9 Feb 1999 09:31:40 +0100

kdelibs (4:1.1-19990207-1) unstable; urgency=low

  * new upstream version 1.1 and new epoche

 -- Stephan Kulow <coolo@kde.org>  Sun,  7 Feb 1999 12:12:58 +0100

kdelibs (2:980710-1.0-1) unstable; urgency=low

  * new upstream version 1.0

 -- Stephan Kulow <coolo@kde.org>  Sun, 12 Jul 1998 10:12:19 +0200

kdelibs (2:980419-b4-1) unstable; urgency=low

  * new upstream version Beta4

 -- Stephan Kulow <coolo@kde.org>  Sun, 19 Apr 1998 13:58:13 +0200

kdelibs (2:980312-4) frozen; urgency=low

  * touch the .so.0 files to satisfy lintian
  * moved all unnecessary files out of -dev
  * moved the symbolic link default->en to kdelibs, where it belongs
  * fixed the shlibs format
  * new qt1g release (1.33)

 -- Stephan Kulow <coolo@kde.org>  Tue, 31 Mar 1998 13:00:00 +0100   

kdelibs (2:980312-3) frozen; urgency=low

  * new g++ and libstdc++ release (egcs-2.90.26-1)

 -- Stephan Kulow <coolo@kde.org>  Tue, 24 Mar 1998 14:45:16 +0100

kdelibs (2:980312-2) unstable; urgency=low

  * use debhelper now

 -- Stephan Kulow <coolo@kde.org>  Sun, 15 Mar 1998 21:28:42 +0100

kdelibs (2:980312-1) experimental; urgency=low

  * changed the files file
  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Thu, 12 Mar 1998 22:15:37 +0100

kdelibs (2:980310-3) experimental; urgency=low

  * removed the preinst script
  * use absolute paths instead of the one with 
  * changed directory for libraries

 -- Stephan Kulow <coolo@kde.org>  Wed, 11 Mar 1998 20:11:50 +0100

kdelibs (2:980310-2) experimental; urgency=low

  * removed the file correction part from kderules

 -- Stephan Kulow <coolo@kde.org>  Mon,  9 Mar 1998 23:29:50 +0100

kdelibs (2:980310-1) experimental; urgency=low

  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Mon,  9 Mar 1998 22:47:16 +0100

kdelibs (980303-1) experimental; urgency=low

  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Wed, 4 Mar 1998 10:43:42 +0100

kdelibs (980228-1) experimental; urgency=low

  * added *.moc to the clean target
  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Sat, 28 Feb 1998 21:05:58 +0100

kdelibs (980227-2) experimental; urgency=low

  * removed the REENTRANT flag. KDE don't uses threds
  * updated libmediatool

 -- Stephan Kulow <coolo@kde.org>  Sat, 28 Feb 1998 01:22:56 +0100

kdelibs (980227-1) experimental; urgency=low

  * changed the name of libjpeg-dev
  * renamed preint to preinst (typo while moving last time)
  * added fields in control file (most taken from AJ's versions)
  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Fri, 27 Feb 1998 20:20:24 +0100

kdelibs (980225-1) experimental; urgency=low

  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Wed, 25 Dec 1998 19:23:12 +0100

kdelibs (980224-1) experimental; urgency=low

  * New upstream release

 -- Stephan Kulow <coolo@kde.org>  Wed, 25 Dec 1998 11:25:23 +0100

kdelibs (1:Beta2-2.1) experimental; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Fri,  5 Dec 1997 21:15:52 +0100

kdelibs (1:Beta2-2) unstable; urgency=low

  * removed virtual package names.

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 30 Nov 1997 16:59:27 +0100

kdelibs (1:Beta2-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 23 Nov 1997 14:04:20 +0100

kdelibs (1:Beta1.2-2) unstable; urgency=low

  * new compile cycle with bugfixes.

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  9 Nov 1997 19:43:46 +0100

kdelibs (1:Beta1.2-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 27 Oct 1997 11:16:24 +0100

kdelibs (1:Beta1.1-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 20 Oct 1997 12:33:52 +0200

kdelibs (971019-1) unstable; urgency=low

  * New upstream release
  * Fixed all paths to match debian setup
  * Fixed locale path

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 19 Oct 1997 12:05:32 +0200

kdelibs (971013-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 13 Oct 1997 08:18:16 +0200

kdelibs (971011-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 12 Oct 1997 12:08:40 +0200

kdelibs (971009-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  9 Oct 1997 10:47:00 +0200

kdelibs (971008-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Wed,  8 Oct 1997 10:03:09 +0200

kdelibs (971006-2) unstable; urgency=low

  * daily recompile of everything.

 -- Andreas Jellinghaus <aj@debian.org>  Tue,  7 Oct 1997 10:36:58 +0200

kdelibs (971006-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  6 Oct 1997 09:19:17 +0200

kdelibs (971005-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  5 Oct 1997 17:27:13 +0200

kdelibs (971003-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Fri,  3 Oct 1997 08:16:14 +0200

kdelibs (971002-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  2 Oct 1997 08:47:49 +0200

kdelibs (970930-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 30 Sep 1997 11:39:38 +0200

kdelibs (970929-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 29 Sep 1997 09:36:11 +0200

kdelibs (970925-2) unstable; urgency=low

  * daily recompile of everything.

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 26 Sep 1997 08:42:24 +0200

kdelibs (970925-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Thu, 25 Sep 1997 08:04:45 +0200

kdelibs (970924-2) unstable; urgency=low

  * new use kderules.
  * daily recompile of everything.

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 24 Sep 1997 10:21:17 +0200

kdelibs (970924-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 24 Sep 1997 08:28:48 +0200

kdelibs (970923-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 23 Sep 1997 08:36:52 +0200

kdelibs (970922-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 22 Sep 1997 09:48:41 +0200

kdelibs (970921-1) unstable; urgency=low

  * New upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 21 Sep 1997 13:45:48 +0200

kdelibs (970920-1) unstable; urgency=low

  * Initial Release.

 -- Andreas Jellinghaus <aj@debian.org>  Sat, 20 Sep 1997 09:59:48 +0200

